<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\DB;
use App\Transaction;
use Illuminate\Support\Str;
use App\BusinessType;

class SearchController extends Controller
{
    
    public function index(Request $request){
        $loc = $request->session()->get('location');
        $businesstype = BusinessType::where('location_id', $loc)->get();
        $locations = DB::table('location')->where('location_id', $loc)->first();
        $barangays = DB::table('barangay')->where('location_id', $loc)->orderBy('barangay_name', 'asc')->get();
        $data = [
            'business_type' => $businesstype, 
            'barangay' => $barangays,
            'location' => $locations
        ];
        return view('renewal.search')->with($data);
    }

    public function search(Request $request){
        $loc = $request->session()->get('location');
        $validator = Validator::make($request->all(), [
                'certificateno'=>'required',
                'policyno'=>'required'
            ],[
                'required'=> 'This field is required'
            ]
        );

        if ($validator->fails()) {
            return redirect('renewal')
                        ->withErrors($validator)
                        ->withInput();
        }

        $certificate_no = $request->input('certificateno');
        $policy_no = $request->input('policyno');

        $policy = DB::table('transaction')
                    ->where('policy_no', $policy_no)
                    ->where('certificate_no', $certificate_no)
                    ->where('location_id', $loc)
                    ->first();

        if(empty($policy)){
            echo "No results";
            return redirect('renewal')
            ->withErrors(['message'=>'Policy not found. Please check your policy and/or the location you selected.'])
            ->withInput();
        }else{
            
            $policy_id = $policy->transaction_id;
            $string = 'cglisss'.$policy_id;
            $auth =  sha1($string);
        
            return redirect('result/'.$auth.'/'.$policy_id);
          
        }
    }


    public function result($auth, $id){

            $policy = Transaction::find($id);
            $loc = session()->get('location');;
        $businesstype = BusinessType::where('location_id', $loc)->get();
        $locations = DB::table('location')->where('location_id', $loc)->first();
        $barangays = DB::table('barangay')->where('location_id', $loc)->get();
        $data = [
            'business_type' => $businesstype, 
            'barangay' => $barangays,
            'location' => $locations,
            'policy' => $policy,
            
        ];
            return view('renewal.search')->with($data);

            
    }

        

   


    public function getNextPolicy(){
          $loc = 1;
        $businesstype = BusinessType::where('location_id', $loc)->get();
        $barangays = DB::table('barangay')->where('location_id', $loc)->get();
        $data = ['business_type' => $businesstype, 'barangay' => $barangays];
       $policy_no =  Transaction::where('mode', 'online')->max('policy_no');
       print_r($policy_no);
    }

}
