<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class SelectLocationController extends Controller
{
    public function create(){
        //session()->flush();
        $location = DB::table('location')
                    ->select('location.location_id', 'location_description')
                    ->rightJoin('agent', 'location.location_id', '=', 'agent.location_id')
                    ->where('code', 'epayment')
                    ->orderBy('location_description')
                    ->distinct()
                    ->get();
        return view('issuances.location')->with(['locations' => $location]);
    }

    public function setLocation($location){
        session()->put('location', $location);
        $policyAvailable = $this->checkAvailableSeries();
        //echo $policyAvailable;
        if($policyAvailable==1){
            return redirect('policy-type');
        }else{
            session()->forget('location');
            return redirect('unavailable');
        }
    }

    public function setPolicyType(){
        return view('issuances.policytype');
    }

    public function unavailablePolicy(){
        return view('issuances.unavailable');
    }

    public function checkAvailableSeries(){
        //Get online agent of location
        $loc = session()->get('location');
        $agentloc = DB::table('agent')
                    ->where('location_id', $loc)
                    ->where('code', 'epayment')
                    ->first();

   
        
        //Get last transaction of agent             
        $agent = $agentloc->agent_id;
    
                       
       
        return $this->currentSeries($agent);
        
    }

    public function currentSeries($agent){
        $getCurrentSeries = DB::table('policy_series')
                                ->where('e_status', 'current')
                                ->where('agent_id', $agent)
                                ->get();
        if(!$getCurrentSeries->isEmpty()){
            return 1;
        }else{
            return 0;
        }
    }
}