<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Config;

use Auth;
use App\Transaction;
use Mail;

class PaymentMethodController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index($token,$digest,$id){
        $localDigest =  sha1('wilmargopole:'.$id);
            
        //check if the data is not altered in url
        if($localDigest==$digest){

            //update the transaction table to have its user
            $userId =  Auth::user()->euser_id;
          //  echo $userId;
            $affected = DB::table('transaction')
							->where('transaction_id', $id)
							->update(['euser_id' => $userId]);	


            $loc =  session()->get('location');
            $environment= Config::get('app.env');
            $locations = DB::table('location')->where('location_id', $loc)->first();

            if($environment == 'production'){
                $merchant_id = 'SICICGLI';
            }
            else{
                $merchant_id =  Config::get('dragonpay.test_merchant_id');
            }

            $transaction  = Transaction::find($id);
            $totalAmountDue = $transaction->total_premium + $transaction->doc_stamps + $transaction->vat + $transaction->lgt;
            $digest = sha1($merchant_id.$transaction->certificate_no.$totalAmountDue.'PHP'.$transaction->business_name);

            $data = array(
                'transaction' => Transaction::find($id),
                'merchant_id' => $merchant_id,
                'location' =>$locations,
                'digest' => $digest
                
            );

            return view('payment.method')->with($data);
            }else{
                echo "You are not allowed to view this page";
            }
    }

    public function checklogin(){
        //setcondition if login
        // if logged in
        return redirect('payment-method');
        //else
        //redirect login

    }

    public function verifyemail(){
        $name = 'Juan';
        $email = 'borjamaryrose@gmail.com';
        $token = session()->get('token');
        $data = 'http://localhost/cgl-onlinepayment/public/payment-method/'.$token;
        Mail::send('payment.mailbody', ['data' => $data], function($message) use ($name, $email) {
            $message->to($email, $name)
            ->subject('Verify Email Address');
            $message->from('paymentportal@strongholdinsurance.com.ph','CGLIS');
    
        }); 
        return view('payment.verifyemail');
    }
}
