<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\DragonpayLog;
use Illuminate\Support\Facades\DB;
use PDF;
use Mail;
use QRCode;
use DateTime;


class PaymentResponseController extends Controller
{
    public function index(Request $request){

         $environment = 'production';
       $key = 'nW2q3DT8h4ScL2V';//local
        if($environment == 'production'){
            $key = 'fRj4jcnPVQGnkrk';//production
        }
    
        $newDigest = sha1($request->txnid.':'.$request->refno.':'.$request->status.':'.$request->message.':'.$key);
        if($newDigest==$request->digest){

        
      
                $chk = DragonpayLog::where('refno',$request->refno)->get()->toArray();
                
                //echo count($chk);

                if(count($chk)>0){
                           $updatePolicy = DB::table('dragonpay_logs')
                                                ->where('refno', $request->refno)
                                                ->update([
                                                    'status' =>$request->status,
                                                    'message' =>  $request->message,
                                                    ]);
                
                }else{
                     $log = new DragonpayLog();
                    $log->txnid = $request->txnid;
                    $log->refno = $request->refno;
                    $log->status = $request->status;
                    $log->message = $request->message;
                    $log->digest = $request->digest;
                    $log->save();
                }

       

        if($request->status == 'S'){
            
            $certNo = $request->txnid;
            $findMe = 'Bond';
            
            if(strpos($certNo, $findMe) !== false){
            $transactionId = substr($certNo, strpos($certNo, "-") + 1);
            $maxTransaction =  DB::table('surety_bond_policies')
                ->where('surety_bond_id',DB::raw("(Select max(surety_bond_id) from surety_bond_policies)"))
                ->first();
            
            if($maxTransaction == null){

                $series = DB::table('surety_bond_series')->first();


                $docNoAck = $series->doc_no_from;
                $docNoAckTwo =  $docNoAck + 1;
                $docNoIndemnity = $docNoAckTwo + 1;
                $pageNoAck = $series->page_no_from; //every 5 change
                $pageNoAckTwo = $pageNoAck;
                $pageNoIndemnity = $pageNoAck;
                $bookNo = $series->book_no_from;
                $seriesOf = $series->series_of_from;
                $policyNo = $series->policy_from;

               
            }else{
                $docNoAck =  $maxTransaction->doc_no_indemnity + 1;
                $docNoAckTwo = $docNoAck + 1;
                $docNoIndemnity =  $docNoAckTwo + 1;

                if($docNoAck % 5 == 1){
                    $pageNoAck = $maxTransaction->page_no_indemnity + 1;
                }else{
                    $pageNoAck = $maxTransaction->page_no_indemnity;
                }      

                if($docNoAckTwo % 5 == 1){
                    $pageNoAckTwo = $pageNoAck + 1;
                }else{
                    $pageNoAckTwo = $pageNoAck;
                } 

                if($docNoIndemnity % 5 == 1){
                    $pageNoIndemnity = $pageNoAckTwo + 1;
                }else{
                    $pageNoIndemnity = $pageNoAckTwo;
                }

               
                $bookNo = $maxTransaction->book_no;
                $seriesOf = $maxTransaction->series_of;
                $policyNo = $maxTransaction->policy_no + 1; 
            }


            DB::table('surety_bond_policies')->insert(
                [
                    'transaction_id'=> $transactionId,
                    'doc_no_ack' => $docNoAck,
                    'doc_no_ack_two' =>$docNoAckTwo,
                    'doc_no_indemnity' => $docNoIndemnity,
                    'page_no_ack' => $pageNoAck,
                    'page_no_ack_two' => $pageNoAckTwo,
                    'page_no_indemnity' =>$pageNoIndemnity,
                    'book_no' =>$bookNo,
                    'series_of' => $seriesOf,
                    'policy_no' => $policyNo,
                    'inception_date' => date('Y-m-d'), 
                    'expiry_date' => date('Y-m-d', strtotime('+1 years')),
                    'date_paid' =>date('Y-m-d'),
                 ]
            );
            
            $transact = DB::table('transaction')
                            ->rightJoin('e_users', 'e_users.euser_id', '=', 'transaction.euser_id')
                            ->rightJoin('location', 'location.location_id', '=', 'transaction.location_id')
                            ->where('transaction.transaction_id', $transactionId)
                            ->first();

            $this->sendBondAttachment( $transactionId, $transact->firstname);

        }//end of checking if containds bond
        else
        {
           $transact = DB::table('transaction')
                            ->rightJoin('e_users', 'e_users.euser_id', '=', 'transaction.euser_id')
                            ->rightJoin('location', 'location.location_id', '=', 'transaction.location_id')
                            ->where('certificate_no', $certNo)
                            ->first();
            //Get last transaction of agent                
            $agent = $transact->agent_id;
            // $lastTransaction = DB::table('transaction')
            //                 ->where('transaction_id', DB::raw("(Select max(transaction_id) from transaction where agent_id='$agent' and cancel=0)"))
            //                 ->first();
            $lastTransaction = DB::table('transaction')
                            ->where('agent_id', $agent)
                            ->where('cancel',0)
                            ->where('date_created', DB::raw("(Select max(date_created) from transaction where agent_id='$agent' and cancel=0)"))
                            ->orderBy('policy_no','DESC')
                            ->first();
            if($lastTransaction){
                $lastPolicy = (int)$lastTransaction->policy_no;
                //Get current policy series
                $getSeries = DB::table('policy_series')
                                ->where('e_status', 'current')
                                ->where('agent_id', $agent)
                                ->where('policy_from', '<=', $lastPolicy)
                                ->where('policy_to', '>=', $lastPolicy)
                                ->get();
                                
                //check if current series exist
                if(!$getSeries->isEmpty()){
                    
                    if($getSeries[0]->policy_to==$lastPolicy){
                        return response()->json(['message' => 'No policy no. available.'], 500);
                    }else{
                        //update policy details
                        $newPolicy = $lastPolicy + 1;
                        $updatePolicy = DB::table('transaction')
                                        ->where('transaction_id', $transact->transaction_id)
                                        ->update([
                                            'policy_no' => $newPolicy,
                                            'inception_date' => date('Y-m-d'), 
                                            'expiry_date' => date('Y-m-d', strtotime('+1 years')),
                                            'cancel' => 0,
                                            'date_created' => date('Y-m-d H:i:s')
                                            ]);
        
                        //Email generated COI to client
                        $this->sendAttachment($certNo, $transact->firstname);
        
                        
        return response('result=Ok', 201);
                    }
                }else{
                    return $this->findCurrentSeries($agent, $transact->transaction_id, $certNo, $transact->firstname);
                }
            }else{
                return $this->findCurrentSeries($agent, $transact->transaction_id, $certNo, $transact->firstname);
            }
        }
        }// end else checking if containds bond

        
        return response('result=Ok', 201);
    }else{
            return response('result=FAIL_DIGEST_MISMATCH',500);
        }
    
    }

    public function findCurrentSeries($agent, $transaction_id, $certNo, $name){
        $getCurrentSeries = DB::table('policy_series')
                            ->where('e_status', 'current')
                            ->where('agent_id', $agent)
                            ->get();
        if(!$getCurrentSeries->isEmpty()){
            //update policy details
            $newPolicy = $getCurrentSeries[0]->policy_from;
            $updatePolicy = DB::table('transaction')
                            ->where('transaction_id', $transaction_id)
                            ->update([
                                'policy_no' => $newPolicy, 
                                'inception_date' => date('Y-m-d'), 
                                'expiry_date' => date('Y-m-d', strtotime('+1 years')),
                                'cancel' => 0,
                                'date_created' => date('Y-m-d H:i:s')
                                ]);

            //Email generated COI to client
            $this->sendAttachment($certNo, $name);
            
        return response('result=Ok', 201);
        }else{
            return response('result=NO_POLICY_AVAILABLE',500);
        }
    }

     public function createQr($security_code){
        $file = 'attachment/'.$security_code.'.png';
        //$qr = \QRCode::url('sterling-insurance.com.ph/cocissuance/verify/'.$prod.'/'.$security)
        return $qr = QRCode::text('http://www.cglis.com.ph/v2/Policy_status?transaction_code='.$security_code)
        //->setSize(8)
        ->setMargin(2)
        ->setOutFile($file)
        ->png();    
    }

    public function generatePDF($certNo){
        
        $transact = DB::table('transaction')
                            ->rightJoin('e_users', 'e_users.euser_id', '=', 'transaction.euser_id')
                            ->rightJoin('location', 'location.location_id', '=', 'transaction.location_id')
                            ->rightJoin('agent', 'transaction.agent_id', '=', 'agent.agent_id')
                            ->join('insurer','agent.insurer_id','=','insurer.insurer_id')
                            ->where('certificate_no', $certNo)
                            ->first();
        
        $this->createQr($transact->transaction_code);
        $data = [
            'policy_no' => $transact->policy_no,
            'transaction_date' => $transact->date_created,
            'business_name' => strtoupper($transact->business_name),
            'business_address' => strtoupper($transact->business_address),
            'inception' => date('m/d/Y',strtotime($transact->inception_date)),
            'expiry' => date('m/d/Y',strtotime($transact->expiry_date)),
            'area' => $transact->area,
            'sum_insured' => number_format($transact->total_sum_insured,"2",".",","),
            'premium' => number_format($transact->total_premium,"2",".",","),
            'dst' => number_format($transact->doc_stamps,"2",".",","),
            'vat' => number_format($transact->vat,"2",".",","),
            'lgt' => number_format($transact->lgt,"2",".",","),
            'total' => $transact->total_premium + $transact->doc_stamps + $transact->vat + $transact->lgt,
            'barangay' => strtoupper($transact->barangay),
            'location' => strtoupper($transact->location_description),
            'agent_code' => $transact->agent_code,
            'image' =>$transact->image,
            'signature' => $transact->signature,
            'position_name' => $transact->position_name,
            'position' => $transact->position,
            'certificate_no' => $transact->certificate_no,
            'security_code' => $transact->transaction_code

        ];
       $certificateNo = $transact->certificate_no;
       $path = 'attachment/'.$certificateNo.'.pdf';
     //  echo $path;
        
         PDF::loadView('pdf.coi', $data)->setPaper('Letter', 'portrait')->save($path);
       //  PDF::loadView('pdf.coi', $data)->setPaper('Letter', 'portrait')->save($path)->stream('download.pdf');
        return $transact->email;
    }

    public function sendAttachment($certNo, $name){
        $email = $this->generatePDF($certNo);
        $data = [
            'name' => $name,
            'certificate_no' => $certNo
        ];
        
          
       $path = 'attachment/'.$certNo.'.pdf';
        Mail::send('pdf.mail-attachment', ['data' => $data], function($message) use ($email,$path) {
            $message->to($email);
            $message->subject('CGL Insurance');
            $message->attach($path);
            //$message->attach('attachment/CGL-Policy.pdf');
        });
    }
    
    public function sendBondAttachment($transactionId=66610, $name="Mam"){
      
         $bond = DB::table('transaction as t')
                ->select('*')
                ->rightJoin('e_users', 'e_users.euser_id', '=', 't.euser_id')
                ->where('t.transaction_id',$transactionId)
                ->first();
                
        $email = $bond->email;
 
        $data = [
            'name' => $name,
            'certificate_no' => "BOND-".$transactionId
        ];
        
       $result =  Mail::send('surety.mail-attachment', ['data' => $data], function($message) use ($email) {
            $message->to($email);
            $message->subject('Bond Insurance');
        });
        
    }
    
    
   
    
     public function manualsend($certNo,$name){
      
            $transact = DB::table('transaction')
                            ->rightJoin('e_users', 'e_users.euser_id', '=', 'transaction.euser_id')
                            ->rightJoin('location', 'location.location_id', '=', 'transaction.location_id')
                            ->where('certificate_no', $certNo)
                            ->first();
            //Get last transaction of agent                
            $agent = $transact->agent_id;
            $lastTransaction = DB::table('transaction')
                            ->where('transaction_id', DB::raw("(Select max(transaction_id) from transaction where agent_id='$agent' and cancel=0)"))
                            ->first();
            if($lastTransaction){
                $lastPolicy = (int)$lastTransaction->policy_no;
                //Get current policy series
                $getSeries = DB::table('policy_series')
                                ->where('e_status', 'current')
                                ->where('agent_id', $agent)
                                ->where('policy_from', '<=', $lastPolicy)
                                ->where('policy_to', '>=', $lastPolicy)
                                ->get();
                                
                //check if current series exist
                if(!$getSeries->isEmpty()){
                    
                    if($getSeries[0]->policy_to==$lastPolicy){
                        return response()->json(['message' => 'No policy no. available.'], 500);
                    }else{
                        //update policy details
                        $newPolicy = $lastPolicy + 1;
                        $updatePolicy = DB::table('transaction')
                                        ->where('transaction_id', $transact->transaction_id)
                                        ->update([
                                            'policy_no' => $newPolicy,
                                            'inception_date' => date('Y-m-d'), 
                                            'expiry_date' => date('Y-m-d', strtotime('+1 years')),
                                            'cancel' => 0,
                                            'date_created' => date('Y-m-d H:i:s')
                                            ]);
        
                        //Email generated COI to client
                        $this->sendAttachment($certNo, $transact->firstname);
        
                        
        return response('result=Ok', 201);
                    }
                }else{
                    return $this->findCurrentSeries($agent, $transact->transaction_id, $certNo, $transact->firstname);
                }
            }else{
                return $this->findCurrentSeries($agent, $transact->transaction_id, $certNo, $transact->firstname);
            }
        
    }
    
     public function sendAttachmentWithJacket($certNo, $name,$insurer=31){
        $email = $this->generatePDF($certNo);
        $data = [
            'name' => $name,
            'certificate_no' => $certNo
        ];
        
          
       $path = 'attachment/'.$certNo.'.pdf';
        Mail::send('pdf.mail-attachment-resend', ['data' => $data], function($message) use ($email,$path,$insurer) {
            $message->to($email);
            $message->subject('CGL Insurance');
            $message->attach($path);
            if($insurer == 1){
                 $message->attach('attachment/stronghold.pdf');
            }else if($insurer == 2){
                 $message->attach('attachment/sterling.pdf');
            }else if($insurer == 29){
                 $message->attach('attachment/bethel.pdf');
            }else if($insurer == 27){
                 $message->attach('attachment/milestone.pdf');
            }else if($insurer == 6){
                 $message->attach('attachment/alpha.pdf');
            }else if($insurer == 31){
                 $message->attach('attachment/western.pdf');
            }
           
        });
    }
    
     public function updatePolicy($certificateNo,$policyNo){
        
        
           $transact = DB::table('transaction')
                            ->rightJoin('e_users', 'e_users.euser_id', '=', 'transaction.euser_id')
                            ->rightJoin('location', 'location.location_id', '=', 'transaction.location_id')
                            ->where('certificate_no', $certificateNo)
                            ->first();
            $insurer = $transact->insurer_id;
        
          $updatePolicy = DB::table('transaction')
                                        ->where('transaction_id', $transact->transaction_id)
                                        ->update([
                                            'policy_no' => $policyNo,
                                            ]);
        
                        //Email generated COI to client
                        // $this->sendAttachmentWithJacket($certificateNo, $transact->firstname,$insurer);
        
        
         
        
    }
    
   

}