<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use PDF;
use Mail;
use QRCode;
use DB;
use DateTime;


class PaymentSuccessController extends Controller
{
    //
   public function index(){
        $transactionNo = request()->get('txnid');
        $findMe = 'Bond';
        //echo $txnId;
        if (strpos($transactionNo, $findMe) !== false)
        {
        $transactionId = substr($transactionNo, strpos($transactionNo, "-") + 1);
        $transaction = DB::table('transaction')
                            ->join('business_types','transaction.businesstype_id','=','business_types.businesstype_id')
                            ->where('transaction_id',$transactionId)
                            ->first();
        }else{
        $transaction = DB::table('transaction')
                            ->join('business_types','transaction.businesstype_id','=','business_types.businesstype_id')
                            ->where('certificate_no',$transactionNo)
                            ->first();
        }
         //dd($transaction);
         $transactionId = $transaction->transaction_id;
         $businessType = $transaction->business_type;
         
        return view('payment.paymentsuccess')->with(compact('businessType','transactionId'));
    }

    public function cashmethod(Request $request){
        $data = array(
        
            'certificate_no' => $request->certificate_no,
            'description' =>$request->description,
            'amount' => $request->amount
        );
        return view('payment.cashmethod')->with($data);
    }


    public function downloadVoucher(Request $request){
        //print_r($request->certificate_no);
        $data = array(
            'transaction_date' => date('Y-m-d'),
            'certificate_no' => $request->certificate_no,
            'description' =>$request->description,
            'amount' =>$request->amount
        );
     
        return PDF::loadView('pdf.payment-voucher',$data)->setPaper('Letter', 'portrait')->stream('download.pdf');
        
    }
    
      public function generatebondpolicy($transactionId){
           
            $path = 'surety/bond-'.$transactionId.'.pdf';
            
            $bond = DB::table('transaction as t')
                    ->select('*','bp.policy_no as bond_policy','bp.inception_date as bond_inception','bp.expiry_date as bond_expiry')
                    ->join('surety_details as sb','t.transaction_id','=','sb.transaction_id')
                    ->join('surety_bond_policies as bp','t.transaction_id','=','bp.transaction_id')
                    ->where('t.transaction_id',$transactionId)
                    ->first();
                    
           // dd($bond);
           
           $data = array(
                'bond' => $bond,
               );
                    
            
         return PDF::loadView('surety.surety',$data)->setPaper('Legal', 'portrait')->save($path)->stream('download.pdf');
        
    }
    
    public function generateacknowledgement($transactionId){
        $path = 'surety/ack-'.$transactionId.'.pdf';
            
            $bond = DB::table('transaction as t')
                    ->select('*','bp.policy_no as bond_policy','bp.inception_date as bond_inception','bp.expiry_date as bond_expiry')
                    ->join('surety_details as sb','t.transaction_id','=','sb.transaction_id')
                    ->join('surety_bond_policies as bp','t.transaction_id','=','bp.transaction_id')
                    ->where('t.transaction_id',$transactionId)
                    ->first();
                    
           // dd($bond);
           
           $data = array(
                'bond' => $bond,
               );
                    
            
         return PDF::loadView('surety.acknowledgment',$data)->setPaper('Legal', 'portrait')->save($path)->stream('download.pdf');
        
        
    }
    
    function number_to_words($number) {
    
    $hyphen      = '-';
    $conjunction = '  ';
    $separator   = ' ';
    $negative    = 'negative ';
    $decimal     = ' point ';
    $dictionary  = array(
        0                   => 'Zero',
        1                   => 'One',
        2                   => 'Two',
        3                   => 'Three',
        4                   => 'Four',
        5                   => 'Five',
        6                   => 'Six',
        7                   => 'Seven',
        8                   => 'Eight',
        9                   => 'Nine',
        10                  => 'Ten',
        11                  => 'Eleven',
        12                  => 'Twelve',
        13                  => 'Thirteen',
        14                  => 'Fourteen',
        15                  => 'Fifteen',
        16                  => 'Sixteen',
        17                  => 'Seventeen',
        18                  => 'Eighteen',
        19                  => 'Nineteen',
        20                  => 'Twenty',
        30                  => 'Thirty',
        40                  => 'Fourty',
        50                  => 'Fifty',
        60                  => 'Sixty',
        70                  => 'Seventy',
        80                  => 'Eighty',
        90                  => 'Ninety',
        100                 => 'Hundred',
        1000                => 'Thousand',
        1000000             => 'Million',
        1000000000          => 'Billion',
        1000000000000       => 'Trillion',
        1000000000000000    => 'Quadrillion',
        1000000000000000000 => 'Quintillion'
    );

    if (!is_numeric($number)) {
        return false;
    }

    if (($number >= 0 && (int) $number < 0) || (int) $number < 0 - PHP_INT_MAX) {
        // overflow
        trigger_error(
            'convert_number_to_words only accepts numbers between -' . PHP_INT_MAX . ' and ' . PHP_INT_MAX,
            E_USER_WARNING
        );
        return false;
    }

    if ($number < 0) {
        return $negative . number_to_words(abs($number));
    }

    $string = $fraction = null;

    if (strpos($number, '.') !== false) {
        list($number, $fraction) = explode('.', $number);
    }

    switch (true) {
        case $number < 21:
            $string = $dictionary[$number];
            break;
        case $number < 100:
            $tens   = ((int) ($number / 10)) * 10;
            $units  = $number % 10;
            $string = $dictionary[$tens];
            if ($units) {
                $string .= $hyphen . $dictionary[$units];
            }
            break;
        case $number < 1000:
            $hundreds  = $number / 100;
            $remainder = $number % 100;
            $string = $dictionary[$hundreds] . ' ' . $dictionary[100];
            if ($remainder) {
                $string .= $conjunction . $this->number_to_words($remainder);
            }
            break;
        default:
            $baseUnit = pow(1000, floor(log($number, 1000)));
            $numBaseUnits = (int) ($number / $baseUnit);
            $remainder = $number % $baseUnit;
            $string = $this->number_to_words($numBaseUnits) . ' ' . $dictionary[$baseUnit];
            if ($remainder) {
                $string .= $remainder < 100 ? $conjunction : $separator;
                $string .= $this->number_to_words($remainder);
            }
            break;
    }

    if (null !== $fraction && is_numeric($fraction)) {
        $string .= $decimal;
        $words = array();
        foreach (str_split((string) $fraction) as $number) {
            $words[] = $dictionary[$number];
        }
        $string .= implode(' ', $words);
    }

    return $string;
    }
    
    public function generateindemnity($transactionId){
         $path = 'surety/indemnity-'.$transactionId.'.pdf';
            
            $bond = DB::table('transaction as t')
                    ->select('*','bp.policy_no as bond_policy','bp.inception_date as bond_inception','bp.expiry_date as bond_expiry')
                    ->join('surety_details as sb','t.transaction_id','=','sb.transaction_id')
                    ->join('surety_bond_policies as bp','t.transaction_id','=','bp.transaction_id')
                    ->where('t.transaction_id',$transactionId)
                    ->first();
                    
           // dd($bond);
           
           
            $inceptionDate = $bond->inception_date;
            $exprityDate = $bond->expiry_date;
            $date1 = new DateTime($exprityDate);
            $date2 = new DateTime($inceptionDate);
            $diff = $date1->diff($date2);
            $period = $diff->days/30;
            $periodDigit = round($period);
            $periodWords = $this->number_to_words($periodDigit);
            $period = array(
                'periodDigit' => $periodDigit,
                'periodWords' =>    $periodWords
            );
           
           $data = array(
                'bond' => $bond,
                'period' =>$period
               );
                    
            
         return PDF::loadView('surety.indemnity-agreement',$data)->setPaper('Legal', 'portrait')->save($path)->stream('download.pdf');
        
    }
}
