@extends('layouts.app')

@section('content')
<div class="">   
    
<div class="offset-md-3 col-xl-6 col-md-6 mb-4">

    <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">

          <!-- Nested Row within Card Body -->
          <div class="row">
            <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
            <div class="col-lg-6">
              <div class="p-5">
                <div class="text-center">
                  <h1 class="h4 text-gray-900 mb-4">Login Here!</h1>
                </div>

    
          @if($status = Session::get('status'))
          <div class="col-md-12">
            <div class="alert alert-info">
                {{ $status }}
            </div>
          </div>
          @endif

          <div class="col-md-12">
                <form class="form-horizontal user" method="POST" action="{{ route('login') }}">
                        {{ csrf_field() }}

                        <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                            <label for="email" class="col-md-12 control-label">Email Address</label>

                            <div class="col-md-12">
                                <input id="email" type="email" class="form-control form-control-user" name="email" value="{{ old('email') }}" required autofocus>

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                            <label for="password" class="col-md-12 control-label">Password</label>

                            <div class="col-md-12">
                                <input id="password" type="password" class="form-control form-control-user" name="password" required>

                                @if ($errors->has('password'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        

                        <div class="form-group">
                            <div class="col-md-12 col-md-offset-4 text-center">
                                <button type="submit" class="btn btn-primary btn-user btn-block">
                                    Login
                                </button> 
                                <br>
                                <a class="small" href="{{ route('password.request') }}">
                                    Forgot Your Password?
                                </a>
                            </div>

                            <div class="col-md-12 text-center">
                                <a class="small" href="{{ route('register') }}">
                                    Register Here!
                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            
        </div>
    </div>
</div>
</div>
</div>
</div>

@endsection