@extends('layouts.app')

@section('content')

<!-- Page Heading -->

<div class="d-sm-flex align-items-center mb-4">
    <div class="h4 mb-0 text-warning text-uppercase font-weight-bold mb-1">Location: </div>
    <div class="h4 mb-0 text-gray-800 text-uppercase font-weight-bold mb-1">&nbsp; MAKATI CITY</div>
</div>

<div class="row justify-content-center">
@if($errors->any())
    <div class="alert alert-danger">
        <ul>
        @foreach($errors->all() as $error)
            <li>{{ $error }}</li>
        @endforeach
        </ul>
    </div>
@endif
    

{!! csrf_field() !!}
 <!-- Content Row -->
 <div class="row"> 
  <div class="col-xl-7 col-md-6 mb-5 ">
  <div class="card border-left-info shadow h-100 py-2">
    <div class="card-body">
      <form action="{{ action('SearchController@search') }}" method="POST">
        {{ csrf_field() }}
      <div class="h5 font-weight-bold text-primary text-uppercase mb-1">Search Policy</div>
      <div class="row">
      
      <div class="col-md-5">
        <div class="form-group">
          <label>Policy No:</label>
        <input type="text" name="policyno" class="form-control" value="{{$policy->policy_no}}">
        </div>
      </div>
        <div class="col-md-5">
        <div class="form-group">
          <label>Certificate No:</label>
        <input type="text" name="certificateno" class="form-control" value="{{$policy->certificate_no}}">
          
        </div>

        </div>

        <div class="col-md-2">
          <label> </label>
         
      </div>
      </div>
    </div>
  </form>
    </div>
  </div>

  <div class="col-xl-7 col-md-6 mb-5 ">
    <form action="{{ action('SearchController@search') }}" method="POST">
      {{ csrf_field() }}
    
    <div class="card border-left-primary shadow h-100 py-2">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-primary text-uppercase mb-1">Policy Renewal</div>
            <div class="col-md-12">

                <div class="form-group">
                    <label>Business Name:</label>
                <input type="text" name="business_name" class="form-control" value="{{$policy->business_name}}">
                </div>

                <div class="form-group">
                    <label>Business Address:</label>
                    <input type="text" name="business_address" class="form-control" value="{{$policy->business_address}}">
                    <small>House No./Floor, Building and Street Name</small>
                </div>
                
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <select class="form-control" name="barangay">
                            <option value="" selected disabled>Choose here...</option>
                            @foreach($barangay as $br)
                            <option {{($policy->barangay == $br->barangay_name?'selected':'')}}>{{ $br->barangay_name }}</option>
                            @endforeach
                        </select>
                        <small>Barangay</small> 
                    </div>

                    <div class="form-group col-md-6">
                        <input type="text" name="city" class="form-control" value="Makati" disabled>
                        <small>City</small>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Business Type:</label>
                        <select class="form-control" name="business_type" id="business_type">
                            <option selected disabled>Choose here...</option>
                            @foreach($business_type as $bt)
                            <option {{($policy->businesstype_id == $bt->businesstype_id?'selected':'')}} value="{{ $bt['businesstype_id'] }}" data-risk="{{ $bt['tag'] }}">{{ $bt['business_type'] }}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group col-md-6">
                        <label>Floor Area (in sqm.):</label>
                        <input type="number" step="0.01" name="area" value="{{$policy->area}}" id="area" class="form-control">
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Email Address:</label>
                    <input type="email" name="email" class="form-control" vauie="{{$policy->email}}"">
                    </div>
                    <div class="form-group col-md-6">
                        <label>Mobile No.:</label>
                    <input type="number" name="mobile" class="form-control" value="{{$policy->contact_no}}">
                    </div>
                </div>
                
            </div>
        </div>
        
    </div>
    </div>
  </div>

  <div class="col-xl-5 col-md-6 mb-4">
    <div class="card border-left-success shadow h-100 py-2">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-success text-uppercase mb-1">Breakdown of Fees</div>
            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Sum Insured: </td>
                <td width="40%" id="sumInsured" style="text-align:right">{{$policy->total_sum_insured}}</td>
                </tr>
            </table>
            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Premium: </td>
                <td width="40%" id="premium" style="text-align:right">{{$policy->total_premium}}</td>
                </tr>
                <tr>
                    <td>Doc. Stamps: </td>
                <td id="docStamp" style="text-align:right">{{$policy->doc_stamps}}</td>
                </tr>
                <tr>
                    <td>V.A.T.: </td>
                <td id="vat" style="text-align:right">{{$policy->vat}}</td>
                </tr>
                <tr>
                    <td>L.G.T.: </td>
                <td id="lgt" style="text-align:right">{{$policy->lgt}}</td>
                </tr>
                <tr>
                    <td>Total Amount Due: </td>
                <td id="due" style="text-align:right">{{$policy->total_premium + $policy->doc_stamps + $policy->vat + $policy->lgt}}</td>
                </tr>
            </table>
        </div>
    </div>
    </div>
  </div>
        <div class="col-md-12">
            <button type="submit" class="btn btn-primary btn-lg" style="float:right;padding:8px 30px 8px 30px">Next</button>
        </div>
    </form>
</div>
</div>


        


  <!-- <section class="features-icons bg-light text-center">
    <div class="container">
      <div class="row">
        <h1>New Issuance</h1>
        <div class="row col-md-12">

            <div class="col-md-7">
                <div class="card">
                    <div class="card-body">
                        @if($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                @foreach($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                                </ul>
                            </div>
                        @endif

                        <form action="{{ route('new.store') }}" method="POST">
                            {!! csrf_field() !!}

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label>Business Name:</label>
                                </div>
                                <div class="col-md-12">
                                    <input type="text" name="business_name" class="form-control" />
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label>Business Address:</label>
                                </div>
                                <div class="col-md-4">
                                    <input type="text" name="business_address" class="form-control" />
                                    <small>House No./Floor, Building and Street Name</small>
                                </div>

                                <div class="col-md-4">
                                    <input type="text" name="city" class="form-control">
                                    <small>City</small>
                                </div>

                                <div class="col-md-4">
                                    <input type="text" name="barangay" class="form-control">
                                    <small>Barangay</small> 
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label>Business Type:</label>
                                </div>
                                <div class="col-md-12">
                                    <select class="form-control" name="business_type" id="business_type">
                                        <option selected disabled>Choose here...</option>
                                        @foreach($business_type as $bt)
                                        <option value="{{ $bt['businesstype_id'] }}" data-risk="{{ $bt['tag'] }}">{{ $bt['business_type'] }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label>Floor Area (in sqm.):</label>
                                </div>
                                <div class="col-md-12">
                                    <input type="text" name="area" id="area" class="form-control">
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label>Email Address:</label>
                                </div>
                                <div class="col-md-12">
                                    <input type="text" name="email" class="form-control">
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <label>Mobile No.:</label>
                                </div>
                                <div class="col-md-12">
                                    <input type="text" name="mobile" class="form-control">
                                </div>
                            </div>

                            <button type="submit" class="btn btn-primary">Apply</button>

                        </form>
                    </div>
                </div> end of card 
            </div>  end of col-md-8  

            <div class="col-md-5">
                <div class="card">
                    <div class="card-body">
                        <h2>Breakdown</h2>
                        <table class="table table-bordered">
                            <tr>
                                <td width="60%">Total Sum Insured: </td>
                                <td width="40%" id="sumInsured" style="text-align:right"></td>
                            </tr>
                            <tr>
                                <td>Total Premium: </td>
                                <td id="premium" style="text-align:right"></td>
                            </tr>
                            <tr>
                                <td>Doc. Stamps: </td>
                                <td id="docStamp" style="text-align:right"></td>
                            </tr>
                            <tr>
                                <td>V.A.T.: </td>
                                <td id="vat" style="text-align:right"></td>
                            </tr>
                            <tr>
                                <td>L.G.T.: </td>
                                <td id="lgt" style="text-align:right"></td>
                            </tr>
                            <tr>
                                <td>Total Amount Due: </td>
                                <td id="due" style="text-align:right"></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>end of col-md-5
            
        </div>
    </div>
</div>
</section> -->

@endsection
<script src="{{asset('vendor/jquery/jquery.min.js')}}"></script>

    <script>
    $(document).ready(function() {
        
        var risk;
        var area;
        $('#business_type').on('change', function(){
            risk = $(this).find(':selected').data('risk')
            area = $("#area").val();
            getFees(area,risk)
        });

        $("#area").on('keyup',function(){
            area = $(this).val();
            risk = $("#business_type").find(':selected').data('risk')
            getFees(area,risk)
        });
        
        function numberWithCommas(x) {
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }

        function getFees(area,risk){
            loc = 1;
            $.ajax({
                url: '{{ url("/matrix") }}' + '/' + area + '/' + loc,
                type: "GET",
                data: {} ,
                success: function (data) {
                    var sum_ins = "";
                    var premium = "";
                    var doc_stamp = "";
                    var vat = "";
                    var lgt = "";
                    var due = "";
                    data.forEach(function(arrayItem){
                        sum_ins = arrayItem.tot_sumIns;
                        premium = arrayItem.tot_prem;
                        doc_stamp = arrayItem.doc_stamps;
                        vat = arrayItem.evat;
                        lgt = arrayItem.lgt;
                        due = premium*1 + doc_stamp*1 + vat*1 + lgt*1;
                        due = due.toFixed(2);
                    })
                    if(risk=='High Risk'){
                        premium = premium*2;
                        doc_stamp = doc_stamp*2;
                        vat = vat*2;
                        lgt = lgt*2;
                        due = due*2;
                    }
                    $('#sumInsured').text('PHP ' + numberWithCommas(sum_ins));
                    $('#premium').text('PHP ' + numberWithCommas(premium));
                    $('#docStamp').text(numberWithCommas(doc_stamp));
                    $('#vat').text(numberWithCommas(vat));
                    $('#lgt').text(numberWithCommas(lgt));
                    $('#due').text('PHP ' + numberWithCommas(due));
                    //console.log(data);
                }
            });
        }
    });
    </script>
