@extends('layouts.app')

@section('content')

<!-- Page Heading -->

<div class="d-sm-flex align-items-center mb-4">
    <div class="h4 mb-0 text-warning text-uppercase font-weight-bold mb-1">Location: </div>
    <div class="h4 mb-0 text-gray-800 text-uppercase font-weight-bold mb-1">&nbsp; {{ $location->location_description }}</div>
    <input type="hidden" value="{{ $location->location_id }}" id="location">
</div>

<div class="row justify-content-center">
<!-- @if($errors->any())
    <div class="alert alert-danger">
        <ul>
        @foreach($errors->all() as $error)
            <li>{{ $error }}</li>
        @endforeach
        </ul>
    </div>
@endif -->
    
<form action="{{ route('surety.store') }}" method="POST">
{!! csrf_field() !!}
 <!-- Content Row -->
 <div class="row">   

    
    <div class="col-xl-6 col-md-6 mb-4">
        <div class="card border-left-primary shadow h-100 py-2 px-5">
        <div class="card-body">
            <div class="row no-gutters align-items-center">
                <div class="h5 font-weight-bold text-primary text-uppercase mb-1">Surety Bond for Travel Agencies</div>
                <div class="col-md-12">
                    <input type="text" value="{{$transaction_id}}" name="transaction_id">
                    
                    <div class="form-group">
                        <label>Signatory:</label>
                        <input type="text" name="signatory" class="form-control" value="{{ old('signatory') }}" required>
                        @if ($errors->has('signatory'))
                            <span class="help-block">
                                <strong>{{ $errors->first('signatory') }}</strong>
                            </span>
                        @endif
                    </div>
                    
                    <div class="form-group">
                        <label>Position:</label>
                        <input type="text" name="position" class="form-control" value="{{ old('position') }}" required>
                        @if ($errors->has('position'))
                            <span class="help-block">
                                <strong>{{ $errors->first('position') }}</strong>
                            </span>
                        @endif
                    </div>

                    <div class="form-group">
                        <label>Any goverment issued id:</label>
                       <select class="form-control" name="id_description" required>
                        <option disabled selected>Choose here</option>
                        <option value="Philippine Passport">Philippine Passport</option>
                        <option value="Driver’s License">Driver’s License</option>
                        <option value="PhilHealth ID">PhilHealth ID</option>
                        <option value="SSS UMID Card">SSS UMID Card</option>
                        <option value="Postal ID">Postal ID</option>
                        <option value="TIN ID">TIN ID</option>
                        <option value="Voter’s ID">Voter’s ID</option>
                        <option value="PRC ID">PRC ID</option>
                        <option value="Senior Citizen ID">Senior Citizen ID</option>
                        <option value="OFW ID">OFW ID</option>
                        <option value="National ID">National ID</option>
                           
                       </select>
                        @if ($errors->has('id_description'))
                            <span class="help-block">
                                <strong>{{ $errors->first('id_description') }}</strong>
                            </span>
                        @endif
                    </div>
    
                    <div class="form-group">
                        <label>ID Number:</label>
                        <input type="text" name="id_number" class="form-control" value="{{ old('id_number') }}" required>
                        @if ($errors->has('id_number'))
                            <span class="help-block">
                                <strong>{{ $errors->first('id_number') }}</strong>
                            </span>
                        @endif
                    </div>
    
                    <div class="form-group">
                        <label>Issued Date:</label>
                        <input type="date" name="issued_date" class="form-control" value="{{ old('issued_date') }}" required>
                        <small>House No./Floor, Building and Street Name</small>
                        @if ($errors->has('issued_date'))
                            <br><span class="help-block">
                                <strong>{{ $errors->first('issued_date') }}</strong>
                            </span>
                        @endif
                    </div>
                    
                    
    
                    
                </div>    
             
            </div>
            
        </div>
        </div>
      </div>




  <div class="col-xl-6 col-md-6 mb-4">
    <div class="card border-left-success shadow h-100 py-2 px-5">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-success text-uppercase mb-1">Breakdown of Fees for Surety Bond</div>


            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Sum Insured: </td>
                    <td width="40%" id="sumInsured" style="text-align:right">500,000.00</td>
                </tr>
            </table>
            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Premium: </td>
                    <td width="40%" id="premium" style="text-align:right">4,992.00</td>
                </tr>
                <tr>
                    <td>Doc. Stamps: </td>
                    <td id="docStamp" style="text-align:right">624.00</td>
                </tr>
                <tr>
                    <td>V.A.T.: </td>
                    <td id="vat" style="text-align:right">599.04</td>
                </tr>
                <tr>
                    <td>L.G.T.: </td>
                    <td id="lgt" style="text-align:right">9.98</td>
                </tr>
                <tr>
                    <td>Notarial Fee: </td>
                    <td id="lgt" style="text-align:right">300.00</td>
                </tr>
                <tr>
                    <td>Ack: </td>
                    <td id="due" style="text-align:right">30.00</td>
                </tr>
                <tr>
                    <td>Total Due: </td>
                    <td id="due" style="text-align:right"><strong>6,555.02</strong></td>
                </tr>
            </table>
            <small>*Note: Convenience fee not included.</small>
        </div>
    </div>
    </div>
  </div>
        <div class="col-md-12" style="padding-bottom:20px">
            <a href="{{ url('policy-type') }}" class="btn btn-danger btn-lg" style="float:left;padding:8px 30px 8px 30px">Back</a>
            <button type="submit" id="btnsave" class="btn btn-primary btn-lg" style="float:right;padding:8px 30px 8px 30px">Next</button>
        </div>
    </form>
</div>
</div>



@endsection
<script src="{{ asset('vendor/jquery/jquery.min.js') }}"></script>

    <script>
    $(document).ready(function() {
       
       
    });
    </script>
