<?php $__env->startSection('content'); ?>

<!-- Page Heading -->

<div class="d-sm-flex align-items-center mb-1">
    <div class="h4 mb-0 text-warning text-uppercase font-weight-bold mb-1">Location: </div>
    <div class="h4 mb-0 text-gray-800 text-uppercase font-weight-bold mb-1">&nbsp; <?php echo e($location->location_description); ?></div>
    <input type="hidden" value="<?php echo e($location->location_id); ?>" id="location">
</div>

<div class="row">

<?php if($errors->has('message')): ?>
    <div class="alert alert-danger col-md-12">
        <span class="help-block">
            <strong><?php echo e($errors->first('message')); ?></strong>
        </span>
    </div>
<?php endif; ?>
   


 <!-- Content Row -->
 <div class="row"> 
<!--search row-->
<div class="col-xl-12 col-md-12 mb-3 ">
    <div class="card border-left-info shadow  py-2">
      <div class="card-body">
            <form action="<?php echo e(action('SearchController@search')); ?>" method="POST">
            <?php echo e(csrf_field()); ?>

            <div class="h5 font-weight-bold text-info text-uppercase mb-1">Search Policy</div>
            <div class="row">          
                <div class="col-md-3">
                    <div class="form-group">
                        <label>Policy No:</label>
                        <input type="text" name="policyno" class="form-control" value="<?php echo e((isset($policy)?$policy->policy_no:old('policyno'))); ?>" placeholder="000000" >
                        <?php if($errors->has('policyno')): ?>
                        <span class="help-block">
                            <strong><?php echo e($errors->first('policyno')); ?></strong>
                        </span>
                        <?php endif; ?>
                    </div>
                </div>
            
                <div class="col-md-3">
                    <div class="form-group">
                        <label>Certificate No:</label>
                        <input type="text" name="certificateno" class="form-control" value="<?php echo e((isset($policy)?$policy->certificate_no:old('certificateno'))); ?>" placeholder="XXXXXX00-000000" > 
                        <?php if($errors->has('certificateno')): ?>
                        <span class="help-block">
                            <strong><?php echo e($errors->first('certificateno')); ?></strong>
                        </span>
                        <?php endif; ?>
                    </div>
                </div>
    
                <div class="col-md-1">
                    <label> <br/></label><br/>
                    <button type="submit" class="btn btn-primary" >Search</button>
                </div>

               <div class="col-md-5 border-left-primary shadow h-60 py-2 mt-3">
                   <strong>Certificate number is located at lower left side of your Certificate of Insurance</strong>
                   <img src="<?php echo e(asset('images/certsample.png')); ?>" style="width:50%" class="pl-5">
                </div>
          </div>
        </form> 
      </div>
    </div>
</div>




  <div class="col-xl-7 col-md-6 mb-5 ">
    <form action="<?php echo e(action('NewIssuanceController@store')); ?>" method="POST">
      <?php echo e(csrf_field()); ?>

    
    <div class="card border-left-primary shadow h-60 py-2">
    <div class="card-body">
        
        <div class="row no-gutters align-items-center">
   
            <div class="h5 font-weight-bold text-primary text-uppercase mb-1">Policy Renewal</div>
            <a class="btn btn-default float-right" id="btn-update">Update details <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-pencil" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" d="M11.293 1.293a1 1 0 0 1 1.414 0l2 2a1 1 0 0 1 0 1.414l-9 9a1 1 0 0 1-.39.242l-3 1a1 1 0 0 1-1.266-1.265l1-3a1 1 0 0 1 .242-.391l9-9zM12 2l2 2-9 9-3 1 1-3 9-9z"/>
                <path fill-rule="evenodd" d="M12.146 6.354l-2.5-2.5.708-.708 2.5 2.5-.707.708zM3 10v.5a.5.5 0 0 0 .5.5H4v.5a.5.5 0 0 0 .5.5H5v.5a.5.5 0 0 0 .5.5H6v-1.5a.5.5 0 0 0-.5-.5H5v-.5a.5.5 0 0 0-.5-.5H3z"/>
              </svg></a>
           
            <div class="col-md-12">

                <div class="form-group">
                    <label>Business Name:</label>
                <input type="text" name="business_name" class="form-control" value="<?php echo e((isset($policy)?$policy->business_name:'')); ?>" readonly>
                </div>

                <div class="form-group">
                    <label>Business Address:</label>
                    <input type="text" name="business_address" class="form-control" value="<?php echo e((isset($policy)?$policy->business_address:'')); ?>" readonly>
                    <small>House No./Floor, Building and Street Name</small>
                </div>
                
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <select class="form-control" name="barangay">
                            <option value="" selected disabled>Choose here...</option>
                            <?php $__currentLoopData = $barangay; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $br): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option <?php echo e((isset($policy)?($policy->barangay == $br->barangay_name?'selected':''):'')); ?>><?php echo e($br->barangay_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </select>
                        <small>Barangay</small> 
                    </div>

                    <div class="form-group col-md-6">
                        <input type="text" name="city" class="form-control" value="Makati" disabled>
                        <small>City</small>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Business Type:</label>
                        <select class="form-control" name="business_type" id="business_type" required>
                            <option selected disabled>Choose here...</option>
                            <?php $__currentLoopData = $business_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option <?php echo e((isset($policy)?($policy->businesstype_id == $bt->businesstype_id?'selected':''):'')); ?> value="<?php echo e($bt['businesstype_id']); ?>" data-risk="<?php echo e($bt['tag']); ?>"><?php echo e($bt['business_type']); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <span class="help-block" id="span-bus-type">
                            <strong>Please choose a business type</strong>
                        </span>
                    </div>

                    <div class="form-group col-md-6">
                        <label>Floor Area (in sqm.):</label>
                        <input type="number" step="0.01" name="area" value="<?php echo e((isset($policy)?$policy->area:'')); ?>" id="area" class="form-control" readonly>
                    </div>
                </div>

                <!-- <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Email Address:</label>
                    <input type="email" name="email" class="form-control" vauie="<?php echo e((isset($policy)?$policy->email:'')); ?>" readonly>
                    </div>
                    <div class="form-group col-md-6">
                        <label>Mobile No.:</label>
                    <input type="number" name="mobile" class="form-control" value="<?php echo e((isset($policy)?$policy->contact_no:'')); ?>" readonly>
                    </div>
                </div> -->
            </div>
        </div>
    </div>
</div>
</div>

 
  <div class="col-xl-5 col-md-6 mb-5">
    <div class="card border-left-success shadow h-90 py-2">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-success text-uppercase mb-1">Breakdown of Fees</div>
            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Sum Insured: </td>
                <td width="40%" id="sumInsured" style="text-align:right"><?php echo e((isset($policy)?$policy->total_sum_insured:'')); ?></td>
                </tr>
            </table>
            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Premium: </td>
                <td width="40%" id="premium" style="text-align:right"><?php echo e((isset($policy)?$policy->total_premium:'')); ?></td>
                </tr>
                <tr>
                    <td>Doc. Stamps: </td>
                <td id="docStamp" style="text-align:right"><?php echo e((isset($policy)?$policy->doc_stamps:'')); ?></td>
                </tr>
                <tr>
                    <td>V.A.T.: </td>
                <td id="vat" style="text-align:right"><?php echo e((isset($policy)?$policy->vat:'')); ?></td>
                </tr>
                <tr>
                    <td>L.G.T.: </td>
                <td id="lgt" style="text-align:right"><?php echo e((isset($policy)?$policy->lgt:'')); ?></td>
                </tr>
                <tr>
                    <td>Total Amount Due: </td>
                <td id="due" style="text-align:right"><?php echo e((isset($policy)?$policy->total_premium + $policy->doc_stamps + $policy->vat + $policy->lgt:'')); ?></td>
                </tr>
            </table>
            <small>*Note: Convenience fee not included. Depends on chosen mode of payment.</small>
        </div>
        <div class="col-md-12">
            <button type="submit" id="btnsave" class="btn btn-primary btn-lg" style="float:right;padding:8px 30px 8px 30px">Next</button>
        </div>
    
    </div>
    </div>
  </div>
  
</form>
</div>
</div>


        


    

<?php $__env->stopSection(); ?>
<script src="<?php echo e(asset('vendor/jquery/jquery.min.js')); ?>"></script>

    <script>
    $(document).ready(function() {
        
       $('#btn-update').on('click',function(){
           console.log('hey');
            $('.form-control').prop('readonly',false);
            $('#btn-update').hide();
       });

      var  business_type = $('#business_type').val();
      console.log(business_type);
      if(business_type==null){
        $('#btnsave').prop('disabled',true);
        $('#span-bus-type').show();
      }else{
        $('#btnsave').prop('disabled',false);
        $('#span-bus-type').hide();
      }


        var risk;
        var area =  $("#area").val();
        if(area==0 | area ==''){
            $('#btnsave').prop('disabled',true);
        }
        $('#business_type').on('change', function(){
            risk = $(this).find(':selected').data('risk')
            area = $("#area").val();
            getFees(area,risk)
            var  business_type = $('#business_type').val();
          
            if(business_type==null){
                $('#btnsave').prop('disabled',true);
                $('#span-bus-type').show();

            }else{
                $('#btnsave').prop('disabled',false);
                $('#span-bus-type').hide();
                        var area =  $("#area").val();
                if(area==0 | area ==''){
                    $('#btnsave').prop('disabled',true);
                }
                }
        });

        $("#area").on('keyup',function(){
            area = $(this).val();
            risk = $("#business_type").find(':selected').data('risk')
            getFees(area,risk)
        });

        function getFees(area,risk){
            loc = $('#location').val();
            if(area=='')
                area=0;
                if(area==0){
                    $('#btnsave').prop('disabled',true);
                }else{
                    $('#btnsave').prop('disabled',false);
                }
            $.ajax({
                url: '<?php echo e(url("/matrix")); ?>' + '/' + area + '/' + loc,
                type: "GET",
                data: {} ,
                success: function (data) {
                    var sum_ins = "";
                    var premium = "";
                    var doc_stamp = "";
                    var vat = "";
                    var lgt = "";
                    var due = "";
                    data.forEach(function(arrayItem){
                        sum_ins = arrayItem.tot_sumIns;
                        premium = arrayItem.tot_prem;
                        doc_stamp = arrayItem.doc_stamps;
                        vat = arrayItem.evat;
                        lgt = arrayItem.lgt;
                        due = arrayItem.tot_amt;
                    })
                    if(risk=='High Risk'){
                        premium = premium*2;
                        doc_stamp = doc_stamp*2;
                        vat = vat*2;
                        lgt = lgt*2;
                        due = due*2;
                    }
                    $('#sumInsured').text(sum_ins);
                    $('#premium').text(premium);
                    $('#docStamp').text(doc_stamp);
                    $('#vat').text(vat);
                    $('#lgt').text(lgt);
                    $('#due').text(due);
                    //console.log(data);
                }
            });
        }
    });
    </script>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>