<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>COI</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <style type="text/css">
  table table{
    max-width: 600px;
  }
  img {
    height: auto;
    line-height: 100%;
    width:100%
  }
  p {
    font-size:13.3333px;
    font-family: "Calibri";
    line-height: 15px;
    padding-top: 0px;
    padding-bottom: 0px;
  }
  span{
    font-weight: bold;
    font-family: 'Times New Roman', Times, serif;
  }
 label{
   font-family: "Calibri";
   font-size: 13.3333px;
 }
 td{
   font-family: "Calibri";
   font-size: 13.3333px;
  }
 i{
  padding-left: 5%;
  font-family: 'Times New Roman', Times, serif;
  font-size: 10px;
 }
 #watermark { 
background: url("<?php echo e(url('images/certificate/watermark_coi.png')); ?>");
   background-position: center;
  }
  /* #logo{ 
   background: url("<?php echo e(url('images/certificate/log1.png')); ?>");
   background-position: center;
  background-repeat: no-repeat;
  background-size: 100px 100px;
  height:60px;
  width:60px;
  padding: 35px;
  } */
  footer {
                position: fixed; 
                bottom: 10px; 
                left: 0px; 
                right: 0px;
                text-align:center;
                height: 70px; 
            }
</style>
</head>
<body>
    <table style="margin-left:auto; margin-right:auto;">
        <tr>
            <td>
                <img src="<?php echo e(url('images/certificate/stronghold_head.png')); ?>" style="width:730px;height:110px">
            </td>
        </tr>
    </table>
    <table id="watermark" width="100%">
        <tr>                
            <td colspan="2" style="text-align:center">
                ATTACHED AND FORMING PART OF CGL POLICY NUMBER <span style="padding-left:5%;"> <?php echo e($policy_no); ?></span>
            </td>
        </tr>
        <tr>
            <td colspan="2" style="text-align:center;text-decoration: underline;"><p>POLICY SCHEDULE</p></td>
        </tr>
        <tr>
            <td width="70%">COMPREHENSIVE GENERAL LIABILITY </td>
            <td width="30%">Date Issued: <span><?php echo e($transaction_date); ?></span></td>
        </tr>
        <tr>
            <td colspan="2">Insured: &nbsp;&nbsp; <span><?php echo e($business_name); ?></span></td>
        </tr>
        <tr>
            <td colspan="2">Address: &nbsp;&nbsp; <span><?php echo e($business_address.', '.$barangay.', '.$location); ?></span></td>
    </table>
     

  <!-- Period of Insurance -->
    <table width="100%">
    <tr>
        <td>
            <hr>
            <label>  Period of Insurance:</label>
                <span>&nbsp; <?php echo e($inception); ?> NOON</span>
                <label style="padding-left: 20%;"> To: </label>
                <span>&nbsp; <?php echo e($expiry); ?> NOON</span>
            <hr>
        </td>
    </tr>
    </table>

  <!-- Insured Business -->
    <table width="100%" id="watermark">
        <tr>
            <td colspan="4"> Insured Business</td>
        </tr>
        <tr>
            <td width="20%" style="padding-left:30px;">Location of Risk:</td>
            <td width="40%">WITHIN PREMISES</td>
            <td width="40%" colspan="2">Area: <span> <?php echo e($area); ?> sqm</span></td>
        </tr>
        <tr>
            <td style="padding-left:30px">The Premises:</td>
            <td colspan="3"><span> <?php echo e($business_address.', '.$barangay.', '.$location); ?></span></td>
        </tr>
        <tr>
            <td style="padding-left:30px">Limit of Liability:</td>
            <td colspan="3"><span> PhP <?php echo e($sum_insured); ?> </span> </td>
        </tr>
    

  <!--premium amount etc.-->
        <tr>
            <td colspan="2"></td>
            <td width="10%"><label> Premium:</label></td>
            <td width="30%"><span>PhP <?php echo e($premium); ?></span></td>
        </tr>
        <tr>
            <td colspan="2"></td>
            <td> <label> Doc Stamps:</label></td>
            <td><span>PhP <?php echo e($dst); ?></span></td>
        </tr>
        <tr>
            <td colspan="2"></td>
            <td><label>V.A.T:</label></td>
            <td><span>PhP <?php echo e($vat); ?></span></td>
        </tr>
        <tr>
            <td colspan="2"></td>
            <td><label>L.G.T:</label></td>
            <td><span>PhP <?php echo e($lgt); ?></span></td>
        </tr>
        <tr>
            <td colspan="2"></td>
            <td colspan="2" style="padding-left:10px"> <hr style="width:110px"></td>
        </tr>
        <tr>
            <td colspan="2"></td>
            <td><label>TOTAL AMT. DUE</label></td>
            <td><span>PhP <?php echo e(number_format($total,2,".",",")); ?></span></td>
        </tr>
    </table>
    

<!-- description of risk-->
    <table width="100%">
        <tr>
            <td>
                <hr>
                  <label>Description of Risk: </label> <br>
                  <label style="padding-left: 20px;">PREMISES OPERATION PUBLIC LEGAL LIABILITY IN RESPECT OF BODILY INJURY AND PROPERTY DAMAGE TO THIRD PARTY IN CONNECTION WITH THE ASSURED'S BUSINESS.</label>
                <hr>

                  <label style="padding-left: 20px;">IN WITNESS WHEREOF a duly authorized officer of the company has set his hand hereunto <?php echo e(ucwords($location)); ?>, Philippines this 
                    <span><?php echo e(date('F j, Y',strtotime($transaction_date))); ?> </span>
                  </label> 

                  <br>
            </td>
        </tr>
    </table>
        

<!-- policy number -->
    <table width="100%" style="margin-top:10px">
        <tr>
          <td width="50%">
              <i> Documentary Stamps to the value shown</i><br>
              <i> herein have been properly affixed and</i><br>
              <i> cancelled on the duplicate copy of this</i><br>
              <i> policy.</i>
          </td>
          <td width="50%" style="text-align:center;">
              <label>STRONGHOLD INSURANCE COMPANY INC.</label><br>
              <img src="<?php echo e(url('images/certificate/stronghold_sign.png')); ?>" style="width:110px;height:45px;"><br>
              <span>____________________________________________</span>
              <label>DANILO B. BARIRING</label><br>
              <label>Senior Vice-President & Chief Underwriter</label>
          </td>
        </tr>
    </table>


<!-- agent code -->
    <!-- <table width="100%" style="border:1px solid">
       <tr>
          <td style="border:1px solid">
            <label style="font-size:9px;">SICI 01/02/2020 10:56 AM</label><br>
            <img src="<?php echo e(url('images/certificate/qr.png')); ?>"  style="width:110px;height:110px;"> 
          </td>
      </tr> -->

      <!-- footer valid year -->
      <!-- <tr>
          <td style="text-align:center;border:1px solid">
            <label style="font-size:14px;position: absolute;z-index: 999; margin: 0 auto;left: 0;right: 0;top: 92%; ">**Valid for the Year 2020**</label><br>
            <span><img src="<?php echo e(url('images/certificate/log1.png')); ?>" style="width:70px;height:70px"></span>
          </td>
      </tr> -->
    <!-- </table> -->
    <div>
        <label style="font-size:9px;">SICI 01/02/2020 10:56 AM</label><br>
        <img src="<?php echo e(url('attachment/security-code.png')); ?>"  style="width:110px;height:110px;"> 
    </div>

    <footer>
        <label style="font-size:13.6667px;position: absolute;z-index: 999; margin: 0 auto;left: 0;right: 0;top: 35%; ">**Valid for the Year 2020**</label><br>
        <span><img src="<?php echo e(url('images/certificate/log1.png')); ?>" style="width:70px;height:70px"></span>
    </footer>
</body>
</html>
