<?php $__env->startSection('content'); ?>

<!-- Page Heading -->

<div class="d-sm-flex align-items-center mb-4">
    <div class="h4 mb-0 text-warning text-uppercase font-weight-bold mb-1">Location: </div>
    <div class="h4 mb-0 text-gray-800 text-uppercase font-weight-bold mb-1">&nbsp; <?php echo e($location->location_description); ?></div>
    <input type="hidden" value="<?php echo e($location->location_id); ?>" id="location">
</div>

<div class="row justify-content-center">
<!-- <?php if($errors->any()): ?>
    <div class="alert alert-danger">
        <ul>
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li><?php echo e($error); ?></li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?> -->
    
<form action="<?php echo e(route('new.store')); ?>" method="POST">
<?php echo csrf_field(); ?>

 <!-- Content Row -->
 <div class="row">   

  <div class="col-xl-7 col-md-6 mb-4">
    <div class="card border-left-primary shadow h-100 py-2">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-primary text-uppercase mb-1">New Issuance</div>
            <div class="col-md-12">

                <div class="form-group">
                    <label>Business Name:</label>
                    <input type="text" name="business_name" class="form-control" value="<?php echo e(old('business_name')); ?>">
                    <?php if($errors->has('business_name')): ?>
                        <span class="help-block">
                            <strong><?php echo e($errors->first('business_name')); ?></strong>
                        </span>
                    <?php endif; ?>
                </div>

                <div class="form-group">
                    <label>Business Address:</label>
                    <input type="text" name="business_address" class="form-control" value="<?php echo e(old('business_address')); ?>">
                    <small>House No./Floor, Building and Street Name</small>
                    <?php if($errors->has('business_address')): ?>
                        <br><span class="help-block">
                            <strong><?php echo e($errors->first('business_address')); ?></strong>
                        </span>
                    <?php endif; ?>
                </div>
                
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <select class="form-control" name="barangay">
                            <option value="" selected disabled>Choose here...</option>
                            <?php $__currentLoopData = $barangay; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $br): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($br->barangay_name); ?>" <?php echo e((old("barangay") == $br->barangay_name ? "selected":"")); ?>><?php echo e(strtoupper($br->barangay_name)); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <small>Barangay</small> 
                        <?php if($errors->has('barangay')): ?>
                            <br><span class="help-block">
                                <strong><?php echo e($errors->first('barangay')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group col-md-6">
                        <input type="text" name="city" value="<?php echo e(strtoupper($location->location_description)); ?>" class="form-control" disabled>
                        <small>City</small>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Business Type:</label>
                        <select class="form-control" name="business_type" id="business_type" required>
                            <option selected disabled>Choose here...</option>
                            <?php $__currentLoopData = $business_type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($bt['businesstype_id']); ?>" data-risk="<?php echo e($bt['tag']); ?>"><?php echo e($bt['business_type']); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('business_type')): ?>
                            <span class="help-block">
                                <strong><?php echo e($errors->first('business_type')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group col-md-6">
                        <label>Floor Area (in sqm.):</label>
                        <input type="number" min="0" step="0.01" name="area" id="area" class="form-control">
                        <?php if($errors->has('area')): ?>
                            <span class="help-block">
                                <strong><?php echo e($errors->first('area')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                </div>
                
            </div>
        </div>
        
    </div>
    </div>
  </div>

  <div class="col-xl-5 col-md-6 mb-4">
    <div class="card border-left-success shadow h-100 py-2">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-success text-uppercase mb-1">Breakdown of Fees</div>
            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Sum Insured: </td>
                    <td width="40%" id="sumInsured" style="text-align:right">0.00</td>
                </tr>
            </table>
            <table class="table table-bordered">
                <tr>
                    <td width="60%">Total Premium: </td>
                    <td width="40%" id="premium" style="text-align:right">0.00</td>
                </tr>
                <tr>
                    <td>Doc. Stamps: </td>
                    <td id="docStamp" style="text-align:right">0.00</td>
                </tr>
                <tr>
                    <td>V.A.T.: </td>
                    <td id="vat" style="text-align:right">0.00</td>
                </tr>
                <tr>
                    <td>L.G.T.: </td>
                    <td id="lgt" style="text-align:right">0.00</td>
                </tr>
                <tr>
                    <td>Total Amount Due: </td>
                    <td id="due" style="text-align:right">0.00</td>
                </tr>
            </table>
            <small>*Note: Convenience fee not included. Depends on chosen mode of payment.</small>
        </div>
        <div class="col-md-12">
            <button type="submit" id="btnsave" class="btn btn-primary btn-lg" style="float:right;padding:8px 30px 8px 30px">Next</button>
        </div>
    </div>
    </div>
  </div>
        
    </form>
</div>
</div>



<?php $__env->stopSection(); ?>
<script src="<?php echo e(asset('vendor/jquery/jquery.min.js')); ?>"></script>

    <script>
    $(document).ready(function() {
       
        var risk;
        var area = $("#area").val();
        if(area==0 | area ==''){
            $('#btnsave').prop('disabled',true);
        }
        $('#business_type').on('change', function(){
            risk = $(this).find(':selected').data('risk')
            area = $("#area").val();
            getFees(area,risk)
        });

        $("#area").on('keyup',function(){
            area = $(this).val();
            risk = $("#business_type").find(':selected').data('risk')
            getFees(area,risk)
        });

        function getFees(area,risk){
            loc = $('#location').val();
            if(area=='')
                area=0;
                if(area==0){
                    $('#btnsave').prop('disabled',true);
                }else{
                    $('#btnsave').prop('disabled',false);
                }
            $.ajax({
                url: '<?php echo e(url("/matrix")); ?>' + '/' + area + '/' + loc,
                type: "GET",
                data: {} ,
                success: function (data) {
                    var sum_ins = "";
                    var premium = "";
                    var doc_stamp = "";
                    var vat = "";
                    var lgt = "";
                    var due = "";
                    data.forEach(function(arrayItem){
                        sum_ins = arrayItem.tot_sumIns;
                        premium = arrayItem.tot_prem;
                        doc_stamp = arrayItem.doc_stamps;
                        vat = arrayItem.evat;
                        lgt = arrayItem.lgt;
                        due = arrayItem.tot_amt;
                    })
                    if(risk=='High Risk'){
                        premium = premium*2;
                        doc_stamp = doc_stamp*2;
                        vat = vat*2;
                        lgt = lgt*2;
                        due = due*2;
                    }
                    $('#sumInsured').text(sum_ins);
                    $('#premium').text(premium);
                    $('#docStamp').text(doc_stamp);
                    $('#vat').text(vat);
                    $('#lgt').text(lgt);
                    $('#due').text(due);
                    //console.log(data);
                }
            });
        }
    });
    </script>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>