<!doctype html>
<html lang="<?php echo e(app()->getLocale()); ?>">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>e-CGL Insurance</title>
        <link rel="icon" href="images/logo.png" type="image/png" sizes="16x16">
        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('izi/izitoast.min.css')); ?>">
        <!-- Styles -->
        <style>
              html,body {
                background-color: #fff;
                color: #636b6f;
                font-family: 'Raleway', sans-serif;
                font-weight: 100;
                height: 100vh;
                margin: 0;
                background-image: url(images/homepage_v1.jpg);
                background-position: center center;
                background-repeat: no-repeat;
                background-attachment: fixed;
                background-size: cover;
              }

              /* For mobile devices */
              @media  only screen and (max-width: 767px) {
                body {
                  background-image: url(images/homepage_v1.jpg);
                }
              }
 
            .full-height {
                height: 50vh;
            }
            .flex-center {
                align-items: center;
                display: flex;
                justify-content: center;
            }
            .position-ref {
                position: relative;
            }
            .top-right {
                position: absolute;
                right: 10px;
                top: 18px;
            }
            .content {
                text-align: center;
            }
            .title {
                font-size: 84px;
                text-shadow: 1px 5px #c1c0c0;
                font-family: Century Gothic;
                color: #007bff;
            }
            .links > a {
                color: #000;
                padding:10px 20px;
                margin-left: 15px;
                font-size: 18px;
                letter-spacing: .1rem;
                text-decoration: none;
                text-transform: uppercase;
                
                background-color: #007bff;
                font-family: Arial, Helvetica, sans-serif;
                color: white;
                display: inline-block;
            }
            .m-b-md {
                margin-bottom: 30px;
            }
        </style>
    </head>
    <body>  
        <div class="flex-center position-ref full-height">
            <div class="content">
                <div class="title m-b-md">
                    e-CGL Insurance
                </div>
                <div class="links">
                    <a href="<?php echo e(route('location.create')); ?>">Apply Now</a>
                    <a href="<?php echo e(route('login')); ?>">&nbsp;&nbsp; Login &nbsp;&nbsp;</a>
                    <a href="<?php echo e(route('register')); ?>"> Register</a>
                </div>
            </div>
        </div>
    </body>
</html>
<script
  src="https://code.jquery.com/jquery-3.6.2.js"
  integrity="sha256-pkn2CUZmheSeyssYw3vMp1+xyub4m+e+QK4sQskvuo4="
  crossorigin="anonymous"></script>
<script src="<?php echo e(asset('izi/izitoast.min.js')); ?>"></script>
<script>
    $(document).ready(function() {
        toasts_info('<b>Maintenance Notification:</b><br>'+' Hi! Good day, <br>' +
                'We will be performing scheduled <br>'+' maintenance on our systems from <br>'+' December 23, 2022 to December 25, 2022. <br>' +  
                'During this time, our website and any <br>'+' related services may be unavailable. <br>' + 
                'We apologize for any inconvenience this may <br>'+' cause and appreciate your understanding. <br>',);
    });
    function toasts_info(message) {
        iziToast.info({
            title: "",
            message: message,
            position: "topRight",
            timeout: "100000",
        });
}
</script>
