<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>e-CGL Insurance</title>

  <!-- Custom fonts for this template-->
  <link href="{{ asset('vendor/fontawesome-free/css/all.min.css')}}" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="{{ asset('css/sb-admin-2.min.css')}}" rel="stylesheet">
  <link href="{{ asset('css/style.css')}}" rel="stylesheet">
    <!-- Custom styles for this page -->
    <link href="{{ asset('vendor/datatables/dataTables.bootstrap4.min.css')}}" rel="stylesheet">

</head>

<body id="page-top">
  <!-- Page Wrapper -->
  <div id="container">
    <div id="main">
      <div id="wrapper">
        <!-- Content Wrapper -->
        <div id="content-wrapper">
      
          <!-- Main Content -->
          <div id="content">
         
            <!-- Topbar -->
            <nav class="navbar navbar-expand navbar-light topbar bg-white mb-4 static-top shadow">
            
              <!-- Sidebar Toggle (Topbar) -->
              <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                <i class="fa fa-bars"></i>
              </button>
              <div class="h5 font-weight-bold text-gray-800 mr-5">
                <img src="{{ asset('images/logo.png')}}" width="60" height="55"> e-CGL Insurance
              </div>

              <!-- Topbar Navbar -->
              <ul class="navbar-nav ml-auto">

                <!--Nav Item - User Information -->
                @guest
                <!-- <li class="nav-item dropdown no-arrow">
                  <a class="btn btn-danger" href="{{ route('login') }}" id="userDropdown" role="button">
                    Sign In
                  </a>
                </li> -->
                @else
                    <!-- Nav Item - User Information -->
                <li class="nav-item dropdown no-arrow">
                  <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <span class="mr-2 d-none d-lg-inline text-gray-600 small">{{ Auth::user()->firstname.' '.Auth::user()->lastname }}</span>
                    <i class="fa fa-caret-down"></i>
                  </a>
                  <!-- Dropdown - User Information -->
                  <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                    
                    <a class="dropdown-item" href="{{ route('home') }}">
                      <i class="fas fa-list fa-sm fa-fw mr-2 text-gray-400"></i>
                      Transactions
                    </a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" href="{{ route('logout') }}" data-toggle="modal" data-target="#logoutModal">
                      <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                      Logout
                    </a>
                  </div>
                </li>
                @endguest
                
              </ul>

            </nav>
            <!-- End of Topbar -->

      
            <!-- Begin Container Fluid -->
            <div class="container-fluid">
              @yield('content')
            </div>
            <!-- End Container Fluid -->

          </div>
          <!-- End of Main Content -->

        </div>
        <!-- End of Content Wrapper -->

      </div>
      <!-- End of Page Wrapper -->
  
    </div>
    <!-- End of Main -->

  </div>
  <!-- End of Container -->

  <!-- Footer -->
  <footer class="sticky-footer">
    <div class="col-md-12">
      <div class="row">
        <div class="col-md-4">
          <span id="links"><a href="#">PRIVACY POLICY</a> <br><a href="#">TERMS AND CONDITIONS</a></span>
        </div>
        <div class="col-md-4" style="padding-top:8px">
          <span>COPYRIGHT &copy; CGL INSURANCE SYSTEM 2020</span>
        </div>
        <div class="col-md-4">
          <span>CONTACT US AT:<br> support@cglis.com.ph</span>
        </div>
      </div>
    </div>
  </footer>
  <!-- End of Footer -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <form action="{{ route('logout') }}" method="POST">
        {!! csrf_field() !!}
        <div class="modal-body"><p>Select "Logout" below if you are ready to end your current session.</p></div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <button type="submit" class="btn btn-primary">Logout</button>
        </div>
        </form>
      </div>
    </div>
  </div>


  <!-- Bootstrap core JavaScript-->
  <script src="{{ asset('vendor/jquery/jquery.min.js')}}"></script>
  <script src="{{ asset('vendor/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

  <!-- Core plugin JavaScript-->
  <script src="{{ asset('vendor/jquery-easing/jquery.easing.min.js')}}"></script>

  <!-- Custom scripts for all pages-->
  <script src="{{ asset('js/sb-admin-2.min.js')}}"></script>

  <!-- Page level plugins -->
  <script src="{{ asset('vendor/datatables/jquery.dataTables.min.js') }}"></script>
  <script src="{{ asset('vendor/datatables/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ asset('js/demo/datatables-demo.js') }}"></script>

  <!-- Page level plugins -->
  <!-- <script src="{{ asset('vendor/chart.js/Chart.min.js')}}"></script> -->

  <!-- Page level custom scripts -->
  <!-- <script src="{{ asset('js/demo/chart-area-demo.js')}}"></script>
  <script src="{{ asset('js/demo/chart-pie-demo.js')}}"></script> -->

</body>
</html>