<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>COI</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <style type="text/css">
  table table{
    max-width: 600px;
  }
  img {
    height: auto;
    line-height: 100%;
    width:100%
  }
  p {
    font-size:13.3333px;
    font-family: "Calibri";
    line-height: 15px;
    padding-top: 0px;
    padding-bottom: 0px;
  }
  span{
    font-weight: bold;
    font-family: 'Times New Roman', Times, serif;
  }
 label{
   font-family: "Calibri";
   font-size: 13.3333px;
 }
 td{
   font-family: "Calibri";
   font-size: 13.3333px;
  }
 i{
  padding-left: 5%;
  font-family: 'Times New Roman', Times, serif;
  font-size: 10px;
 }
 #watermark { 
background: url("{{url('images/certificate/watermark_coi.png')}}");
   background-position: center;
  }
  /* #logo{ 
   background: url("{{url('images/certificate/log1.png')}}");
   background-position: center;
  background-repeat: no-repeat;
  background-size: 100px 100px;
  height:60px;
  width:60px;
  padding: 35px;
  } */
  footer {
                position: fixed; 
                bottom: 10px; 
                left: 0px; 
                right: 0px;
                text-align:center;
                height: 70px; 
            }
</style>
</head>
<body>
    <table style="margin-left:auto; margin-right:auto;">
        <tr>
            <td>
                <img src="{{url('images/certificate/stronghold_head.png')}}" style="width:730px;height:110px">
            </td>
        </tr>
    </table>
    <table id="watermark" width="100%">
        <tr>                
            <td colspan="2" style="text-align:center">
                ATTACHED AND FORMING PART OF CGL POLICY NUMBER <span style="padding-left:5%;"> {{ $policy_no }}</span>
            </td>
        </tr>
        <tr>
            <td colspan="2" style="text-align:center;text-decoration: underline;"><p>POLICY SCHEDULE</p></td>
        </tr>
        <tr>
            <td width="70%">COMPREHENSIVE GENERAL LIABILITY </td>
            <td width="30%">Date Issued: <span>{{ date('m/d/Y',strtotime($transaction_date)) }}</span></td>
        </tr>
        <tr>
            <td colspan="2">Insured: &nbsp;&nbsp; <span>{{ $business_name }}</span></td>
        </tr>
        <tr>
            <td colspan="2">Address: &nbsp;&nbsp; <span>{{ $business_address.', '.$barangay.', '.$location }}</span></td>
    </table>
     

  <!-- Period of Insurance -->
    <table width="100%">
    <tr>
        <td>
            <hr>
            <label>  Period of Insurance:</label>
                <span>&nbsp; {{ $inception }} NOON</span>
                <label style="padding-left: 20%;"> To: </label>
                <span>&nbsp; {{ $expiry }} NOON</span>
            <hr>
        </td>
    </tr>
    </table>

  <!-- Insured Business -->
    <table width="100%" id="watermark">
        <tr>
            <td colspan="4"> Insured Business</td>
        </tr>
        <tr>
            <td width="35%" style="padding-left:30px;">Location of Risk:</td>
            <td width="40%">WITHIN PREMISES</td>
            <td width="25%" colspan="2">Area: <span> {{ $area }} sqm</span></td>
        </tr>
        <tr>
            <td style="padding-left:30px">The Premises:</td>
            <td colspan="3"><span> {{ $business_address.', '.$barangay.', '.$location }}</span></td>
        </tr>
        <tr>
            <td style="padding-left:30px">Limit of Liability:</td>
            <td colspan="3"><span> PhP {{ $sum_insured }} </span> </td>
        </tr>
    

  <!--premium amount etc.-->
        <tr>
            <td></td>
            <td></td>
            <td width="20%"><label> Premium:</label></td>
            <td width="30%" style="text-align:right;padding-right:70px;"><span>PhP {{ $premium }}</span></td>
        </tr>
        <tr>
            <td style="padding-left:30px"><span>Coverage:</span></td>
            <td><span>Limit of Liability:</span></td>
            <td> <label> Doc Stamps:</label></td>
            <td style="text-align:right;padding-right:70px"><span>PhP {{ $dst }}</span></td>
        </tr>
        <tr>
            <td style="padding-left:30px">Bodily Injury Liability</td>
            <td>PhP 50,000.00 each person</td>
            <td><label>V.A.T:</label></td>
            <td style="text-align:right;padding-right:70px"><span>PhP {{ $vat }}</span></td>
        </tr>
        <tr>
            <td></td>
            <td>PhP {{ number_format(str_replace(',','',$sum_insured)*.5,2,".",",") }} aggregate limit</td>
            <td><label>L.G.T:</label></td>
            <td style="text-align:right;padding-right:70px"><span>PhP {{ $lgt }}</span></td>
        </tr>
        <tr>
            <td style="padding-left:30px">Property Damage Liability</td>
            <td>PhP 50,000.00 each accident</td>
            <td colspan="2" style="text-align:right;padding-right:70px"> <hr style="width:100%"></td>
        </tr>
        <tr>
            <td></td>
            <td>PhP {{ number_format(str_replace(',','',$sum_insured)*.5,2,".",",") }} aggregate limit</td>
            <td><label>TOTAL AMT. DUE</label></td>
            <td style="text-align:right;padding-right:70px"><span>PhP {{ number_format($total,2,".",",") }}</span></td>
        </tr>
    </table>
    

<!-- description of risk-->
    <table width="100%">
        <tr>
            <td>
                <hr>
                  <label>Description of Risk: </label> <br>
                  <label style="padding-left: 20px;">PREMISES OPERATION PUBLIC LEGAL LIABILITY IN RESPECT OF BODILY INJURY AND PROPERTY DAMAGE TO THIRD PARTY IN CONNECTION WITH THE ASSURED'S BUSINESS.</label>
                <hr>

                  <label style="padding-left: 20px;">IN WITNESS WHEREOF a duly authorized officer of the company has set his hand hereunto {{ ucwords($location) }}, Philippines this 
                    <span>{{ date('F j, Y',strtotime($transaction_date)) }} </span>
                  </label> 

                  <br>
            </td>
        </tr>
    </table>
        

<!-- policy number -->
    <table width="100%" style="margin-top:5px">
        <tr>
          <td width="50%">
              <i> Documentary Stamps to the value shown</i><br>
              <i> herein have been properly affixed and</i><br>
              <i> cancelled on the duplicate copy of this</i><br>
              <i> policy.</i>
          </td>
          <td width="50%" style="text-align:center;">
              <label>STRONGHOLD INSURANCE COMPANY INC.</label><br>
              <img src="{{url('images/certificate/stronghold_sign.png')}}" style="width:110px;height:45px;padding-bottom:0px;margin-bottom:0px;"><br>
              <hr style="width:70%;padding-top:0px;margin-top:0px">
              <label>DANILO B. BARIRING</label><br>
              <label>Senior Vice-President & Chief Underwriter</label>
          </td>
        </tr>
    </table>

    <div>
        <label style="font-size:11px;">Agent Code: {{ $agent_code }}<br>{{ $certificate_no }}</label><br>
        <label style="font-size:9px;">SICI {{date('m/d/Y H:i A',strtotime($transaction_date))}}</label><br>
        <img src="{{url('attachment/security-code.png')}}"  style="width:110px;height:110px;"> 
    </div>

    <footer>
        <label style="font-size:13.6667px;position: absolute;z-index: 999; margin: 0 auto;left: 0;right: 0;top: 35%; ">**Valid for the Year {{ date('Y').' - '.date('Y', strtotime('+1 years')) }}**</label><br>
        <span><img src="{{url('images/certificate/log1.png')}}" style="width:70px;height:70px"></span>
    </footer>
</body>
</html>
