@extends('layouts.app')

@section('content')
<style>
p, h4,small,ol, li{
    text-align: left;
}

p{
    text-indent: 2em;
}
strong{
    text-align: left;
    text-indent:1em;
}
ol,ul{
    padding-left:4em;
}
</style>

    <div class="col-xl-12 col-lg-12 card-no-border">
        <div class="card shadow mb-4">
        <!-- Card Body -->
        <div class="card-body mx-5">
        <h2>Privacy Policy</h2>

<small>Last updated September 1, 2020</small>
<br/><br/><br/>
<p>Thank you for choosing to be part of our community at CGL Insurance System (“Company”, “we”, “us”, or “our”). We are committed to protecting your personal information and your right to privacy. If you have any questions or concerns about this privacy notice, or our practices with regards to your personal information, please contact us at __________.</p>
<p>When you and more generally, use any of our services (the "Services", which include the), we appreciate that you are trusting us with your personal information. We take your privacy very seriously. In this privacy notice, we seek to explain to you in the clearest way possible what information we collect, how we use it and what rights you have in relation to it. We hope you take some time to read through it carefully, as it is important. If there are any terms in this privacy notice that you do not agree with, please discontinue use of our Services immediately.</p>
<p>This privacy notice applies to all information collected through our Services (which, as described above, includes our), as well as any related services, sales, marketing or events.</p>
<p>Please read this privacy notice carefully as it will help you understand what we do with the information that we collect.</p>



<h4>1. WHAT INFORMATION DO WE COLLECT?</h4>

<p><strong>Personal information you disclose to us</strong></p>
<p>In Short:  We collect information that you provide to us.
<p>We collect personal information that you voluntarily provide to us when you register on the express an interest in obtaining information about us or our products and Services, when you participate in activities on the (such as by posting messages in our online forums or entering competitions, contests or giveaways) or otherwise when you contact us.
<p>The personal information that we collect depends on the context of your interactions with us and the, the choices you make and the products and features you use. The personal information we collect may include the following:
<p>All personal information that you provide to us must be true, complete and accurate, and you must notify us of any changes to such personal information.

<p><strong>Information automatically collected</strong></p>
<p>In Short:  Some information — such as your Internet Protocol (IP) address and/or browser and device characteristics — is collected automatically when you visit our.

    <p>We automatically collect certain information when you visit, use or navigate the. This information does not reveal your specific identity (like your name or contact information) but may include device and usage information, such as your IP address, browser and device characteristics, operating system, language preferences, referring URLs, device name, country, location, information about who and when you use our and other technical information. This information is primarily needed to maintain the security and operation of our, and for our internal analytics and reporting purposes.

    <p>Like many businesses, we also collect information through cookies and similar technologies.

<h4> 2. WILL YOUR INFORMATION BE SHARED WITH ANYONE?</h4>
<p>In Short:  We only share information with your consent, to comply with laws, to provide you with services, to protect your rights, or to fulfill business obligations.
    <p>We may process or share your data that we hold based on the following legal basis:

        <ul type="box">

<li><strong>Consent:</strong> We may process your data if you have given us specific consent to use your personal information in a specific purpose.</li>
<li><strong>Legitimate Interests:</strong> We may process your data when it is reasonably necessary to achieve our legitimate business interests.</li>
<li><strong>Performance of a Contract:</strong> Where we have entered into a contract with you, we may process your personal information to fulfill the terms of our contract.</li>
<li><strong>Legal Obligations</strong>: We may disclose your information where we are legally required to do so in order to comply with applicable law, governmental requests, a judicial proceeding, court order, or legal process, such as in response to a court order or a subpoena (including in response to public authorities to meet national security or law enforcement requirements).</li>
<li><strong>Vital Interests:</strong> We may disclose your information where we believe it is necessary to investigate, prevent, or take action regarding potential violations of our policies, suspected fraud, situations involving potential threats to the safety of any person and illegal activities, or as evidence in litigation in which we are involved.</li>
<br/>
<p style="text-indent:0px;">More specifically, we may need to process your data or share your personal information in the following situations:</p>
<li><strong>Business Transfers.</strong> We may share or transfer your information in connection with, or during negotiations of, any merger, sale of company assets, financing, or acquisition of all or a portion of our business to another company.</li>
<li><strong>Affiliates.</strong> We may share your information with our affiliates, in which case we will require those affiliates to honor this privacy notice. Affiliates include our parent company and any subsidiaries, joint venture partners or other companies that we control or that are under common control with us.</li>
<li><strong>Business Partners</strong>. We may share your information with our business partners to offer you certain products, services or promotions.</li>
<li><strong>Other Users.</strong> When you share personal information or otherwise interact with public areas of the, such personal information may be viewed by all users and may be publicly made available outside the in perpetuity. If you interact with other users of our and register for our through a social network (such as Facebook), your contacts on the social network will see your name, profile photo, and descriptions of your activity. Similarly, other users will be able to view descriptions of your activity, communicate with you within our, and view your profile.</li>
        </ul>
<h4>3. DO WE USE COOKIES AND OTHER TRACKING TECHNOLOGIES?</h4>
<p>In Short:  We may use cookies and other tracking technologies to collect and store your information.</p>
<p>We may use cookies and similar tracking technologies (like web beacons and pixels) to access or store information. Specific information about how we use such technologies and how you can refuse certain cookies is set out in our Cookie Notice.</p>


<h4>4. HOW LONG DO WE KEEP YOUR INFORMATION?</h4>
<p>In Short:  We keep your information for as long as necessary to fulfill the purposes outlined in this privacy notice unless otherwise required by law.
<p>We will only keep your personal information for as long as it is necessary for the purposes set out in this privacy notice, unless a longer retention period is required or permitted by law (such as tax, accounting or other legal requirements). No purpose in this notice will require us keeping your personal information for longer than 1 year.</p>
<p>When we have no ongoing legitimate business need to process your personal information, we will either delete or anonymize such information, or, if this is not possible (for example, because your personal information has been stored in backup archives), then we will securely store your personal information and isolate it from any further processing until deletion is possible.</p>

<h4>5. WHAT ARE YOUR PRIVACY RIGHTS?</h4>
<p>In Short:  You may review, change, or terminate your account at any time.</p>
<p><strong>Account Information</strong></p>
<p>If you would at any time like to review or change the information in your account or terminate your account, you can:</p>
<p>Upon your request to terminate your account, we will deactivate or delete your account and information from our active databases. However, we may retain some information in our files to prevent fraud, troubleshoot problems, assist with any investigations, enforce our Terms of Use and/or comply with applicable legal requirements.</p>

<h4>6. DO WE MAKE UPDATES TO THIS NOTICE?</h4>
<p>In Short:  Yes, we will update this notice as necessary to stay compliant with relevant laws.</p>
<p>We may update this privacy notice from time to time. The updated version will be indicated by an updated “Revised” date and the updated version will be effective as soon as it is accessible. If we make material changes to this privacy notice, we may notify you either by prominently posting a notice of such changes or by directly sending you a notification. We encourage you to review this privacy notice frequently to be informed of how we are protecting your information.</p>
<h4>7. HOW CAN YOU CONTACT US ABOUT THIS NOTICE?</h4>
<p>If you have questions or comments about this notice, you may email us at support@cglis.com.ph and visit us at 110 F.Zobel, Poblacion, Makati City or contact us at _____________</p>

        
           

        </div>
        </div>
    </div>

@endsection

<script src="vendor/jquery/jquery.min.js"></script>

