@extends('layouts.app')

@section('content')

<!-- Page Heading -->

<div class="d-sm-flex align-items-center mb-4">
    <div class="h4 mb-0 text-warning text-uppercase font-weight-bold mb-1">Location: </div>
    <div class="h4 mb-0 text-gray-800 text-uppercase font-weight-bold mb-1">&nbsp; {{ $location->location_description }}</div>
    <input type="hidden" value="{{ $location->location_id }}" id="location">
</div>

<div class="row justify-content-center">
 {{--  @if($errors->any())
    <div class="alert alert-danger">
        <ul>
        @foreach($errors->all() as $error)
            <li>{{ $error }}</li>
        @endforeach
        </ul>
    </div>
@endif   --}}
    
<form action="{{ route('verify.store') }}" method="POST" enctype="multipart/form-data">
{!! csrf_field() !!}
 <!-- Content Row -->
 <div class="row">   

  <div class="col-xl-7 col-md-6 mb-4">
    <div class="card border-left-primary shadow h-100 py-2">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-primary text-uppercase mb-1">For Verification</div>
            <div class="col-md-12">
                <input type="hidden" class="form-control" name="verification_code" value="{{ $verification_code }}">
                <div class="form-group">
                    <label>Business Name:</label>
                    <input type="text" name="business_name" class="form-control" value="{{ old('business_name') }}">
                    @if ($errors->has('business_name'))
                        <span class="help-block">
                            <strong>{{ $errors->first('business_name') }}</strong>
                        </span>
                    @endif
                </div>

                <div class="form-group">
                    <label>Business Address:</label>
                    <input type="text" name="business_address" class="form-control" value="{{ old('business_address') }}">
                    <small>House No./Floor, Building and Street Name</small>
                    @if ($errors->has('business_address'))
                        <br><span class="help-block">
                            <strong>{{ $errors->first('business_address') }}</strong>
                        </span>
                    @endif
                </div>
                
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <select class="form-control" name="barangay">
                            <option value="" selected disabled>Choose here...</option>
                            @foreach($barangay as $br)
                            <option value="{{ $br->barangay_name }}" {{ (old("barangay") == $br->barangay_name ? "selected":"") }}>{{ strtoupper($br->barangay_name) }}</option>
                            @endforeach
                        </select>
                        <small>Barangay</small> 
                        @if ($errors->has('barangay'))
                            <br><span class="help-block">
                                <strong>{{ $errors->first('barangay') }}</strong>
                            </span>
                        @endif
                    </div>

                    <div class="form-group col-md-6">
                        <input type="text" name="city" value="{{ strtoupper($location->location_description) }}" class="form-control" disabled>
                        <small>City</small>
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Business Type:</label>
                        <select class="form-control" name="business_type" id="business_type" required>
                            <option selected disabled>Choose here...</option>
                            @foreach($business_type as $bt)
                            <option value="{{ $bt['businesstype_id'] }}" {{ (old("business_type") == $bt['businesstype_id'] ? "selected":"") }} data-risk="{{ $bt['tag'] }}">{{ $bt['business_type'] }}</option>
                            @endforeach
                        </select>
                        @if ($errors->has('business_type'))
                            <span class="help-block">
                                <strong>{{ $errors->first('business_type') }}</strong>
                            </span>
                        @endif
                    </div>

                    <div class="form-group col-md-6">
                        <label>Floor Area (in sqm.):</label>
                        <input type="number" min="0" step="0.01" name="area" id="area" class="form-control" value="{{ old('area') }}">
                        @if ($errors->has('area'))
                            <span class="help-block">
                                <strong>{{ $errors->first('area') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>
                
            </div>
        </div>
        
    </div>
    </div>
  </div>

  <div class="col-xl-5 col-md-6 mb-4">
    <div class="card border-left-success shadow h-100 py-2">
    <div class="card-body">
        <div class="row no-gutters align-items-center">
            <div class="h5 font-weight-bold text-success text-uppercase mb-1">Policy Details</div>
            <div class="col-md-12">

                <div class="form-group">
                    <label>Insurer:</label>
                    <select class="form-control" name="insurer">
                        <option value="" selected disabled>Choose here...</option>
                        @foreach($insurers as $insurer)
                        <option value="{{ $insurer->insurer_id }}" {{ old('insurer')==$insurer->insurer_id ? 'selected':'' }}>{{ strtoupper($insurer->insurer_name) }}</option>
                        @endforeach
                    </select>
                    {{-- <input type="text" name="insurer" class="form-control" value="{{ old('insurer') }}"> --}}
                    @if ($errors->has('insurer'))
                        <span class="help-block">
                            <strong>{{ $errors->first('insurer') }}</strong>
                        </span>
                    @endif
                </div>

                <div class="form-group">
                    <label>Policy No.:</label>
                    <input type="text" name="policy_no" class="form-control" value="{{ old('policy_no') }}">
                    @if ($errors->has('policy_no'))
                        <span class="help-block">
                            <strong>{{ $errors->first('policy_no') }}</strong>
                        </span>
                    @endif
                </div>
                
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Inception Date:</label>
                        <input type="date" name="inception_date" value="{{ old('inception_date') }}" class="form-control">
                        @if ($errors->has('inception_date'))
                            <span class="help-block">
                                <strong>{{ $errors->first('inception_date') }}</strong>
                            </span>
                        @endif
                    </div>

                    <div class="form-group col-md-6">
                        <label>Expiry Date:</label>
                        <input type="date" name="expiry_date" value="{{ old('expiry_date') }}" class="form-control">
                        @if ($errors->has('expiry_date'))
                            <span class="help-block">
                                <strong>{{ $errors->first('expiry_date') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>

                <div class="form-group">
                    <label>Attach Existing Policy:</label>
                    <input type="file" name="uploads[]" value="" class="form-control" multiple/>
                    @if ($errors->has('uploads') || $errors->has('uploads.*'))
                        <span class="help-block">
                            <strong>{{ $errors->first('uploads') }}</strong>
                            <strong>{{ $errors->first('uploads.*') }}</strong>
                        </span>
                    @endif
                </div>
            </div>
        </div>
    </div>
    </div>
  </div>
        <div class="col-md-12" style="padding-bottom:20px">
            <a href="{{ url('policy-type') }}" class="btn btn-danger btn-lg" style="float:left;padding:8px 30px 8px 30px">Back</a>
            <button type="submit" id="btnsave" class="btn btn-primary btn-lg" style="float:right;padding:8px 30px 8px 30px">Next</button>
        </div>
    </form>
</div>
</div>



@endsection
<script src="{{ asset('vendor/jquery/jquery.min.js') }}"></script>

    <script>
    $(document).ready(function() {
       
        var risk= $('#business_type').find(':selected').data('risk');
        var area = $("#area").val();
        getFees(area,risk);

        if(area==0 | area ==''){
            $('#btnsave').prop('disabled',true);
        }
        $('#business_type').on('change', function(){
            risk = $(this).find(':selected').data('risk')
            area = $("#area").val();
            getFees(area,risk)
        });

        $("#area").on('keyup',function(){
            area = $(this).val();
            risk = $("#business_type").find(':selected').data('risk')
            getFees(area,risk)
        });
        
        function numberWithCommas(x) {
            return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
        }

        function getFees(area,risk){
            loc = $('#location').val();
            if(area=='')
                area=0;
                if(area==0){
                    $('#btnsave').prop('disabled',true);
                }else{
                    $('#btnsave').prop('disabled',false);
                }
            $.ajax({
                url: '{{ url("/matrix") }}' + '/' + area + '/' + loc,
                type: "GET",
                data: {} ,
                success: function (data) {
                    var sum_ins = "0.00";
                    var premium = "0.00";
                    var doc_stamp = "0.00";
                    var vat = "0.00";
                    var lgt = "0.00";
                    var due = "0.00";
                    data.forEach(function(arrayItem){
                        sum_ins = arrayItem.tot_sumIns;
                        premium = arrayItem.tot_prem;
                        doc_stamp = arrayItem.doc_stamps;
                        vat = arrayItem.evat;
                        lgt = arrayItem.lgt;
                        due = premium*1 + doc_stamp*1 + vat*1 + lgt*1;
                        due = due.toFixed(2);
                    })
                    if(risk=='High Risk'){
                        premium = premium*2;
                        doc_stamp = doc_stamp*2;
                        vat = vat*2;
                        lgt = lgt*2;
                        due = due*2;
                    }
                    $('#sumInsured').text('PHP ' + numberWithCommas(sum_ins));
                    $('#premium').text('PHP ' + numberWithCommas(premium));
                    $('#docStamp').text(numberWithCommas(doc_stamp));
                    $('#vat').text(numberWithCommas(vat));
                    $('#lgt').text(numberWithCommas(lgt));
                    $('#due').text('PHP ' + numberWithCommas(due));
                    //console.log(data);
                }
            });
        }
    });
    </script>
