<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
// Route::get('/foo', function () {
//     Artisan::call('storage:link');
// });
Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('location', 'SelectLocationController@create')->name('location.create');
Route::get('policy-type', 'SelectLocationController@setPolicyType')->name('location.policy-type');
Route::get('setlocation/{id}', 'SelectLocationController@setLocation');
Route::get('unavailable', 'SelectLocationController@unavailablePolicy');




Route::group(['middleware' => 'sessionlocation'], function () {
    Route::get('new', 'NewIssuanceController@create')->name('new.create');
    Route::post('new', 'NewIssuanceController@store')->name('new.store');
    Route::get('/matrix/{area}/{loc}', 'NewIssuanceController@getMatrix');
    Route::get('/renewal','SearchController@index');
    Route::post('/search','SearchController@search');
    Route::get('/result/{auth}/{id}','SearchController@result');
    Route::get('/payment-method/{token}/{digest}/{id}','PaymentMethodController@index');
    Route::get('/check-login','PaymentMethodController@checklogin');
    Route::post('/payment', 'DragonpayController@index');
    Route::get('/verify', 'VerifyInsuranceController@index');
    Route::post('/verify', 'VerifyInsuranceController@store')->name('verify.store');
    Route::get('/verification/pending/{id}', 'VerifyInsuranceController@show')->name('verify.show');
    
});
Route::get('/mode-cash/{certificate_no}/{description}/{amount}','PaymentSuccessController@cashmethod');


Route::get('users/confirmation/{token}', 'Auth\RegisterController@confirmation')->name('confirmation');
Route::get('/home', 'HomeController@index')->name('home');

Route::get('/paymentsuccess', 'PaymentSuccessController@index')->name('paymentsuccess');
Route::get('/payment-status', 'PaymentSuccessController@index')->name('paymentsuccess');

//series routes
Route::get('/maintenance/series', 'SeriesMaintenanceController@show')->name('series.show')->middleware('auth');
Route::get('/series/{loc}', 'SeriesMaintenanceController@getMemberInsurerPerLocation');
Route::post('/maintenance/series', 'SeriesMaintenanceController@store')->name('series.store');
Route::get('maintenance/series/tag/{id}', 'SeriesMaintenanceController@tagSeries');

//admin routes
Route::get('/transactions','Admin\DisplayTransactionsController@index')->name('transactions');
Route::get('/search/{datefrom?}/{dateto?}/{status?}','Admin\DisplayTransactionsController@search')->name('transaction-search');

Route::get('download-payment-voucher/{certificate_no}/{description}/{amount}','PaymentSuccessController@downloadVoucher');



//Policy Rights

Route::get('/terms-and-conditions','PoliciesController@termsandcondition');
Route::get('/data-privacy','PoliciesController@dataprivacy');

Route::get('/faqs','FAQController@index');


Route::get('/sendManual/{certNo}/{name}','PaymentResponseController@manualsend');
Route::get('/update-policy/{certificateNo}/{PolicyNo}','PaymentResponseController@updatePolicy');

Route::get('/download-policy/{cert_no}','HomeController@download_policy');
Route::get('/download-coi/{cert_no}','HomeController@download_coi');
