<?php $__env->startSection('content'); ?>

<?php if(session('message')): ?>
    <div class="alert alert-danger col-md-12">
        <span class="help-block">
            <strong><?php echo e(session('message')); ?></strong>
        </span>
    </div>
<?php endif; ?>

<?php if(session('success')): ?>
    <div class="alert alert-danger col-md-12">
        <span class="help-block">
            <strong><?php echo e(session('success')); ?></strong>
        </span>
    </div>
<?php endif; ?>

    <form action="<?php echo e(route('series.store')); ?>" method="POST">
        <?php echo csrf_field(); ?>

        <!-- Content Row -->
        <div class="row">   
            <div class="col-md-12">
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Location:</label>
                        <select class="form-control" name="location" id="location">
                            <option selected disabled>Choose here...</option>
                            <?php $__currentLoopData = $location; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $loc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($loc->location_id); ?>"><?php echo e(strtoupper($loc->location_description)); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('location')): ?>
                            <span class="help-block">
                                <strong><?php echo e($errors->first('location')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group col-md-6">
                        <label>Insurer:</label>
                        <select class="form-control" name="insurer" id="insurer">
                            <option selected disabled>Choose here...</option>
                        </select>
                        <?php if($errors->has('insurer')): ?>
                            <span class="help-block">
                                <strong><?php echo e($errors->first('insurer')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label>Policy From:</label>
                        <input type="text" name="policy-from" class="form-control" value="<?php echo e(old('policy-from')); ?>">
                        <?php if($errors->has('policy-from')): ?>
                            <span class="help-block">
                                <strong><?php echo e($errors->first('policy-from')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group col-md-6">
                        <label>Policy To:</label>
                        <input type="text" name="policy-to" class="form-control" value="<?php echo e(old('policy-to')); ?>">
                        <?php if($errors->has('policy-to')): ?>
                            <span class="help-block">
                                <strong><?php echo e($errors->first('policy-to')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-md-12">
                    <button type="submit" id="btnsave" class="btn btn-primary btn-lg" style="float:right;">Save</button>
                </div>
            </div>
        </div>
    </form>

    <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">DataTables Example</h6>
            </div>
            <div class="card-body">
    <div class="table-responsive">
        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>Location</th>
                <th>Insurer</th>
                <th>Policy From</th>
                <th>Policy To</th>
                <th>Total No. of Policies</th>
                <th>Used</th>
                <th>Available</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
        <?php $__currentLoopData = $series; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ser): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($ser->location_name); ?></td>
                <td><?php echo e($ser->insurer); ?></td>
                <td><?php echo e($ser->policy_from); ?></td>
                <td><?php echo e($ser->policy_to); ?></td>
                <td><?php echo e($ser->total); ?></td>
                <td><?php echo e($ser->used); ?></td>
                <td><?php echo e($ser->available); ?></td>
                <td>
                    <?php if($ser->status!=''): ?>
                        <?php echo e($ser->status); ?>

                    <?php else: ?>
                        <a href="<?php echo e(url('maintenance/series/tag/'.$ser->series_id)); ?>" class="btn btn-primary">Tag as Current</a>
                    <?php endif; ?>
                </td>
            <tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
        </table>
    </div>
</div>
</div>
<?php $__env->stopSection(); ?>
  <!-- Bootstrap core JavaScript-->
  <script src="<?php echo e(asset('vendor/jquery/jquery.min.js')); ?>"></script>
  <script src="<?php echo e(asset('vendor/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>

  <!-- Core plugin JavaScript-->
  <script src="<?php echo e(asset('vendor/jquery-easing/jquery.easing.min.js')); ?>"></script>

  <!-- Custom scripts for all pages-->
  <script src="<?php echo e(asset('js/sb-admin-2.min.js')); ?>"></script>
  <!-- Page level plugins -->
  <script src="<?php echo e(asset('vendor/datatables/jquery.dataTables.min.js')); ?>"></script>
  <script src="<?php echo e(asset('vendor/datatables/dataTables.bootstrap4.min.js')); ?>"></script>
  <script src="<?php echo e(asset('js/demo/datatables-demo.js')); ?>"></script>

    <script>
    $(document).ready(function() {
        $('#location').on('change', function(){
            var loc = $(this).val();
            // Empty the dropdown
            $('#insurer').find('option').not(':first').remove();

            $.ajax({
                url: '<?php echo e(url("/series")); ?>' + '/' + loc,
                type: "GET",
                dataType: 'json' ,
                success: function (response) {
                    var len = 0;
                    if(response['data'] != null){
                        len = response['data'].length;
                    }

                    if(len > 0){
                        // Read data and create <option >
                        for(var i=0; i<len; i++){
                            var id = response['data'][i].insurer_id;
                            var name = response['data'][i].insurer_name;

                            var option = "<option value='"+id+"'>"+name.toUpperCase()+"</option>"; 

                            $("#insurer").append(option); 
                        }
                    }
                }
            });
        });
    });
    </script>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>